/*! Codepie v1.0.0 | MIT License | github.com/codepie-io/pie-material-vue */ 
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["PieMaterial"] = factory();
	else
		root["PieMaterial"] = factory();
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 13);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file.
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate

    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),
/* 1 */
/***/ (function(module, exports) {

// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
var global = module.exports = typeof window != 'undefined' && window.Math == Math
  ? window : typeof self != 'undefined' && self.Math == Math ? self
  // eslint-disable-next-line no-new-func
  : Function('return this')();
if (typeof __g == 'number') __g = global; // eslint-disable-line no-undef


/***/ }),
/* 2 */
/***/ (function(module, exports) {

var core = module.exports = { version: '2.6.5' };
if (typeof __e == 'number') __e = core; // eslint-disable-line no-undef


/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = function (it) {
  return typeof it === 'object' ? it !== null : typeof it === 'function';
};


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

// Thank's IE8 for his funny defineProperty
module.exports = !__webpack_require__(5)(function () {
  return Object.defineProperty({}, 'a', { get: function () { return 7; } }).a != 7;
});


/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = function (exec) {
  try {
    return !!exec();
  } catch (e) {
    return true;
  }
};


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = { "default": __webpack_require__(14), __esModule: true };

/***/ }),
/* 7 */
/***/ (function(module, exports) {

var hasOwnProperty = {}.hasOwnProperty;
module.exports = function (it, key) {
  return hasOwnProperty.call(it, key);
};


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

// to indexed object, toObject with fallback for non-array-like ES3 strings
var IObject = __webpack_require__(9);
var defined = __webpack_require__(10);
module.exports = function (it) {
  return IObject(defined(it));
};


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

// fallback for non-array-like ES3 and non-enumerable old V8 strings
var cof = __webpack_require__(29);
// eslint-disable-next-line no-prototype-builtins
module.exports = Object('z').propertyIsEnumerable(0) ? Object : function (it) {
  return cof(it) == 'String' ? it.split('') : Object(it);
};


/***/ }),
/* 10 */
/***/ (function(module, exports) {

// 7.2.1 RequireObjectCoercible(argument)
module.exports = function (it) {
  if (it == undefined) throw TypeError("Can't call method on  " + it);
  return it;
};


/***/ }),
/* 11 */
/***/ (function(module, exports) {

// 7.1.4 ToInteger
var ceil = Math.ceil;
var floor = Math.floor;
module.exports = function (it) {
  return isNaN(it = +it) ? 0 : (it > 0 ? floor : ceil)(it);
};


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

var tabbable = __webpack_require__(42);
var xtend = __webpack_require__(43);

var activeFocusDelay;

var activeFocusTraps = (function() {
  var trapQueue = [];
  return {
    activateTrap: function(trap) {
      if (trapQueue.length > 0) {
        var activeTrap = trapQueue[trapQueue.length - 1];
        if (activeTrap !== trap) {
          activeTrap.pause();
        }
      }

      var trapIndex = trapQueue.indexOf(trap);
      if (trapIndex === -1) {
        trapQueue.push(trap);
      } else {
        // move this existing trap to the front of the queue
        trapQueue.splice(trapIndex, 1);
        trapQueue.push(trap);
      }
    },

    deactivateTrap: function(trap) {
      var trapIndex = trapQueue.indexOf(trap);
      if (trapIndex !== -1) {
        trapQueue.splice(trapIndex, 1);
      }

      if (trapQueue.length > 0) {
        trapQueue[trapQueue.length - 1].unpause();
      }
    }
  };
})();

function focusTrap(element, userOptions) {
  var doc = document;
  var container =
    typeof element === 'string' ? doc.querySelector(element) : element;

  var config = xtend(
    {
      returnFocusOnDeactivate: true,
      escapeDeactivates: true
    },
    userOptions
  );

  var state = {
    firstTabbableNode: null,
    lastTabbableNode: null,
    nodeFocusedBeforeActivation: null,
    mostRecentlyFocusedNode: null,
    active: false,
    paused: false
  };

  var trap = {
    activate: activate,
    deactivate: deactivate,
    pause: pause,
    unpause: unpause
  };

  return trap;

  function activate(activateOptions) {
    if (state.active) return;

    updateTabbableNodes();

    state.active = true;
    state.paused = false;
    state.nodeFocusedBeforeActivation = doc.activeElement;

    var onActivate =
      activateOptions && activateOptions.onActivate
        ? activateOptions.onActivate
        : config.onActivate;
    if (onActivate) {
      onActivate();
    }

    addListeners();
    return trap;
  }

  function deactivate(deactivateOptions) {
    if (!state.active) return;

    clearTimeout(activeFocusDelay);

    removeListeners();
    state.active = false;
    state.paused = false;

    activeFocusTraps.deactivateTrap(trap);

    var onDeactivate =
      deactivateOptions && deactivateOptions.onDeactivate !== undefined
        ? deactivateOptions.onDeactivate
        : config.onDeactivate;
    if (onDeactivate) {
      onDeactivate();
    }

    var returnFocus =
      deactivateOptions && deactivateOptions.returnFocus !== undefined
        ? deactivateOptions.returnFocus
        : config.returnFocusOnDeactivate;
    if (returnFocus) {
      delay(function() {
        tryFocus(state.nodeFocusedBeforeActivation);
      });
    }

    return trap;
  }

  function pause() {
    if (state.paused || !state.active) return;
    state.paused = true;
    removeListeners();
  }

  function unpause() {
    if (!state.paused || !state.active) return;
    state.paused = false;
    updateTabbableNodes();
    addListeners();
  }

  function addListeners() {
    if (!state.active) return;

    // There can be only one listening focus trap at a time
    activeFocusTraps.activateTrap(trap);

    // Delay ensures that the focused element doesn't capture the event
    // that caused the focus trap activation.
    activeFocusDelay = delay(function() {
      tryFocus(getInitialFocusNode());
    });

    doc.addEventListener('focusin', checkFocusIn, true);
    doc.addEventListener('mousedown', checkPointerDown, {
      capture: true,
      passive: false
    });
    doc.addEventListener('touchstart', checkPointerDown, {
      capture: true,
      passive: false
    });
    doc.addEventListener('click', checkClick, {
      capture: true,
      passive: false
    });
    doc.addEventListener('keydown', checkKey, {
      capture: true,
      passive: false
    });

    return trap;
  }

  function removeListeners() {
    if (!state.active) return;

    doc.removeEventListener('focusin', checkFocusIn, true);
    doc.removeEventListener('mousedown', checkPointerDown, true);
    doc.removeEventListener('touchstart', checkPointerDown, true);
    doc.removeEventListener('click', checkClick, true);
    doc.removeEventListener('keydown', checkKey, true);

    return trap;
  }

  function getNodeForOption(optionName) {
    var optionValue = config[optionName];
    var node = optionValue;
    if (!optionValue) {
      return null;
    }
    if (typeof optionValue === 'string') {
      node = doc.querySelector(optionValue);
      if (!node) {
        throw new Error('`' + optionName + '` refers to no known node');
      }
    }
    if (typeof optionValue === 'function') {
      node = optionValue();
      if (!node) {
        throw new Error('`' + optionName + '` did not return a node');
      }
    }
    return node;
  }

  function getInitialFocusNode() {
    var node;
    if (getNodeForOption('initialFocus') !== null) {
      node = getNodeForOption('initialFocus');
    } else if (container.contains(doc.activeElement)) {
      node = doc.activeElement;
    } else {
      node = state.firstTabbableNode || getNodeForOption('fallbackFocus');
    }

    if (!node) {
      throw new Error(
        "You can't have a focus-trap without at least one focusable element"
      );
    }

    return node;
  }

  // This needs to be done on mousedown and touchstart instead of click
  // so that it precedes the focus event.
  function checkPointerDown(e) {
    if (container.contains(e.target)) return;
    if (config.clickOutsideDeactivates) {
      deactivate({
        returnFocus: !tabbable.isFocusable(e.target)
      });
    } else {
      e.preventDefault();
    }
  }

  // In case focus escapes the trap for some strange reason, pull it back in.
  function checkFocusIn(e) {
    // In Firefox when you Tab out of an iframe the Document is briefly focused.
    if (container.contains(e.target) || e.target instanceof Document) {
      return;
    }
    e.stopImmediatePropagation();
    tryFocus(state.mostRecentlyFocusedNode || getInitialFocusNode());
  }

  function checkKey(e) {
    if (config.escapeDeactivates !== false && isEscapeEvent(e)) {
      e.preventDefault();
      deactivate();
      return;
    }
    if (isTabEvent(e)) {
      checkTab(e);
      return;
    }
  }

  // Hijack Tab events on the first and last focusable nodes of the trap,
  // in order to prevent focus from escaping. If it escapes for even a
  // moment it can end up scrolling the page and causing confusion so we
  // kind of need to capture the action at the keydown phase.
  function checkTab(e) {
    updateTabbableNodes();
    if (e.shiftKey && e.target === state.firstTabbableNode) {
      e.preventDefault();
      tryFocus(state.lastTabbableNode);
      return;
    }
    if (!e.shiftKey && e.target === state.lastTabbableNode) {
      e.preventDefault();
      tryFocus(state.firstTabbableNode);
      return;
    }
  }

  function checkClick(e) {
    if (config.clickOutsideDeactivates) return;
    if (container.contains(e.target)) return;
    e.preventDefault();
    e.stopImmediatePropagation();
  }

  function updateTabbableNodes() {
    var tabbableNodes = tabbable(container);
    state.firstTabbableNode = tabbableNodes[0] || getInitialFocusNode();
    state.lastTabbableNode =
      tabbableNodes[tabbableNodes.length - 1] || getInitialFocusNode();
  }

  function tryFocus(node) {
    if (node === doc.activeElement) return;
    if (!node || !node.focus) {
      tryFocus(getInitialFocusNode());
      return;
    }

    node.focus();
    state.mostRecentlyFocusedNode = node;
    if (isSelectableInput(node)) {
      node.select();
    }
  }
}

function isSelectableInput(node) {
  return (
    node.tagName &&
    node.tagName.toLowerCase() === 'input' &&
    typeof node.select === 'function'
  );
}

function isEscapeEvent(e) {
  return e.key === 'Escape' || e.key === 'Esc' || e.keyCode === 27;
}

function isTabEvent(e) {
  return e.key === 'Tab' || e.keyCode === 9;
}

function delay(fn) {
  return setTimeout(fn, 0);
}

module.exports = focusTrap;


/***/ }),
/* 13 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
var components_namespaceObject = {};
__webpack_require__.d(components_namespaceObject, "MdAvatar", function() { return components_MdAvatar; });
__webpack_require__.d(components_namespaceObject, "MdBadge", function() { return components_MdBadge; });
__webpack_require__.d(components_namespaceObject, "MdButton", function() { return components_MdButton; });
__webpack_require__.d(components_namespaceObject, "MdCheckbox", function() { return components_MdCheckbox; });
__webpack_require__.d(components_namespaceObject, "MdCircularProgress", function() { return components_MdCircularProgress; });
__webpack_require__.d(components_namespaceObject, "MdCollapse", function() { return components_MdCollapse; });
__webpack_require__.d(components_namespaceObject, "MdDialog", function() { return components_MdDialog; });
__webpack_require__.d(components_namespaceObject, "MdDrawer", function() { return components_MdDrawer; });
__webpack_require__.d(components_namespaceObject, "MdBanner", function() { return components_MdBanner; });
__webpack_require__.d(components_namespaceObject, "MdBottomSheet", function() { return components_MdBottomSheet; });
__webpack_require__.d(components_namespaceObject, "MdFab", function() { return components_MdFab; });
__webpack_require__.d(components_namespaceObject, "MdIconButton", function() { return components_MdIconButton; });
__webpack_require__.d(components_namespaceObject, "MdInputHelper", function() { return components_MdInputHelper; });
__webpack_require__.d(components_namespaceObject, "MdLinearProgress", function() { return components_MdLinearProgress; });
__webpack_require__.d(components_namespaceObject, "MdLineRipple", function() { return components_MdLineRipple; });
__webpack_require__.d(components_namespaceObject, "MdNotchedOutline", function() { return components_MdNotchedOutline; });
__webpack_require__.d(components_namespaceObject, "MdOverlay", function() { return components_MdOverlay; });
__webpack_require__.d(components_namespaceObject, "MdRadio", function() { return components_MdRadio; });
__webpack_require__.d(components_namespaceObject, "MdSelect", function() { return components_MdSelect; });
__webpack_require__.d(components_namespaceObject, "MdTextField", function() { return components_MdTextField; });

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/object/assign.js
var object_assign = __webpack_require__(6);
var assign_default = /*#__PURE__*/__webpack_require__.n(object_assign);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdAvatar/MdAvatar.vue
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdAvatar = ({
  name: 'MdAvatar',
  props: {
    tag: {
      type: String,
      default: 'div',
      validator: function validator(value) {
        return ['div', 'span', 'a'].indexOf(value) >= 0;
      }
    },
    theme: {
      type: String,
      default: null
    },
    size: {
      type: String,
      default: null
    },
    icon: {
      type: String,
      default: null
    },
    imgSrc: {
      type: String,
      default: null
    }
  },
  computed: {
    sizeClass: function sizeClass() {
      return this.size ? 'md-avatar--' + this.size : '';
    },
    themeClass: function themeClass() {
      return this.theme ? 'md-avatar--' + this.theme : '';
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-0364b0f8","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdAvatar/MdAvatar.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.tag,{tag:"component",staticClass:"md-avatar",class:[_vm.sizeClass, _vm.themeClass]},[(_vm.$slots.default)?[_vm._t("default")]:[(_vm.icon)?_c('i',{staticClass:"md-avatar__icon material-icons"},[_vm._v(" "+_vm._s(_vm.icon))]):_vm._e(),_vm._v(" "),(_vm.imgSrc)?_c('img',{staticClass:"md-avatar__img",attrs:{"src":_vm.imgSrc}}):_vm._e()]],2)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var MdAvatar_MdAvatar = (esExports);
// CONCATENATED MODULE: ./src/components/MdAvatar/MdAvatar.vue
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = null
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  MdAvatar,
  MdAvatar_MdAvatar,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var components_MdAvatar_MdAvatar = (Component.exports);

// CONCATENATED MODULE: ./src/utils/plugins.js
var use = function use(plugin) {
  if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(plugin);
  }
};

var registerComponent = function registerComponent(Vue, component) {
  Vue.component(component.name, component);
};

var registerComponentProgrammatic = function registerComponentProgrammatic(Vue, property, component) {
  Vue.prototype[property] = component;
};
// CONCATENATED MODULE: ./src/components/MdAvatar/index.js




var Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdAvatar_MdAvatar);
  }
};

use(Plugin);

/* harmony default export */ var components_MdAvatar = (Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdBadge/MdBadge.vue
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdBadge = ({
  name: 'MdBadge',
  props: {
    tag: {
      type: String,
      default: 'span',
      validator: function validator(value) {
        return ['div', 'span'].indexOf(value) >= 0;
      }
    },
    theme: {
      type: String,
      default: 'primary'
    },
    overlap: {
      type: Boolean,
      default: false
    },
    position: {
      type: String,
      default: 'top',
      validator: function validator(position) {
        return ['top', 'bottom'].indexOf(position) > -1;
      }
    }
  },
  computed: {
    themeClass: function themeClass() {
      return 'md-badge--' + this.theme;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-b06b831c","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdBadge/MdBadge.vue
var MdBadge_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.tag,{tag:"component",staticClass:"md-badge",class:[_vm.themeClass, { 'md-badge--overlap': _vm.overlap }]},[_c('span',{staticClass:"md-badge__content"},[_vm._t("default")],2)])}
var MdBadge_staticRenderFns = []
var MdBadge_esExports = { render: MdBadge_render, staticRenderFns: MdBadge_staticRenderFns }
/* harmony default export */ var MdBadge_MdBadge = (MdBadge_esExports);
// CONCATENATED MODULE: ./src/components/MdBadge/MdBadge.vue
var MdBadge_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdBadge___vue_template_functional__ = false
/* styles */
var MdBadge___vue_styles__ = null
/* scopeId */
var MdBadge___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdBadge___vue_module_identifier__ = null
var MdBadge_Component = MdBadge_normalizeComponent(
  MdBadge,
  MdBadge_MdBadge,
  MdBadge___vue_template_functional__,
  MdBadge___vue_styles__,
  MdBadge___vue_scopeId__,
  MdBadge___vue_module_identifier__
)

/* harmony default export */ var components_MdBadge_MdBadge = (MdBadge_Component.exports);

// CONCATENATED MODULE: ./src/components/MdBadge/index.js




var MdBadge_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdBadge_MdBadge);
  }
};

use(MdBadge_Plugin);

/* harmony default export */ var components_MdBadge = (MdBadge_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdButton/MdButton.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdButton = ({
  name: 'MdButton',
  props: {
    theme: {
      type: String,
      default: null
    },
    size: {
      type: String,
      default: null
    },
    iconPosition: {
      type: String,
      default: 'trailing'
    },
    icon: {
      type: String,
      default: null
    },
    raised: {
      type: Boolean,
      default: false
    },
    unElevated: {
      type: Boolean,
      default: false
    },
    outlined: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    loading: {
      type: Boolean,
      default: false
    },
    active: {
      type: Boolean,
      default: false
    },
    label: {
      type: String,
      required: null
    },
    nativeType: {
      type: String,
      default: 'button',
      validator: function validator(value) {
        return ['button', 'submit', 'reset'].indexOf(value) >= 0;
      }
    },
    tag: {
      type: String,
      default: 'button',
      validator: function validator(value) {
        return ['button', 'a', 'input'].indexOf(value) >= 0;
      }
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-button--dense': this.dense
      }];
    },
    sizeClass: function sizeClass() {
      return this.size ? 'md-button--' + this.size : '';
    },
    themeClass: function themeClass() {
      return this.theme ? 'md-button--' + this.theme : '';
    },
    iconPositionClass: function iconPositionClass() {
      return this.iconPosition === 'leading' ? 'md-button__icon--leading' : 'md-button__icon--trailing';
    },
    renderTrailingIcon: function renderTrailingIcon() {
      return this.icon && this.iconPosition === 'trailing';
    },
    renderLeadingIcon: function renderLeadingIcon() {
      return this.icon && this.iconPosition !== 'trailing';
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-14857c4e","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdButton/MdButton.vue
var MdButton_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.tag,{tag:"component",staticClass:"md-button",class:[
    _vm.sizeClass,
    _vm.themeClass,
    {
      'md-button--disabled': _vm.disabled,
      'md-button--loading': _vm.loading,
      'md-button--outlined': _vm.outlined,
      'md-button--raised': _vm.raised,
      'md-button--unelevated': _vm.unElevated,
      'md-button--active': _vm.active
    }
  ],attrs:{"type":_vm.nativeType,"disabled":_vm.disabled},on:{"click":function($event){return _vm.$emit('click', $event)}}},[(_vm.renderTrailingIcon)?_c('span',{staticClass:"md-button__icon material-icons",class:[_vm.iconPositionClass]},[_vm._v(_vm._s(_vm.icon))]):_vm._e(),_vm._v(" "),(_vm.label && !_vm.loading)?_c('span',{staticClass:"md-button__label"},[_vm._v(_vm._s(_vm.label))]):(_vm.$slots.default && !_vm.loading)?_c('span',[_vm._t("default")],2):_vm._e(),_vm._v(" "),(_vm.renderLeadingIcon)?_c('span',{staticClass:"md-button__icon--right md-button__icon material-icons md-button__icon",class:[_vm.iconPositionClass]},[_vm._v(_vm._s(_vm.icon))]):_vm._e(),_vm._v(" "),(_vm.loading)?_c('span',{staticClass:"md-button__overlay"},[_vm._t("loader",[_vm._v("\n      Loading...\n    ")])],2):_vm._e()])}
var MdButton_staticRenderFns = []
var MdButton_esExports = { render: MdButton_render, staticRenderFns: MdButton_staticRenderFns }
/* harmony default export */ var MdButton_MdButton = (MdButton_esExports);
// CONCATENATED MODULE: ./src/components/MdButton/MdButton.vue
var MdButton_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdButton___vue_template_functional__ = false
/* styles */
var MdButton___vue_styles__ = null
/* scopeId */
var MdButton___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdButton___vue_module_identifier__ = null
var MdButton_Component = MdButton_normalizeComponent(
  MdButton,
  MdButton_MdButton,
  MdButton___vue_template_functional__,
  MdButton___vue_styles__,
  MdButton___vue_scopeId__,
  MdButton___vue_module_identifier__
)

/* harmony default export */ var components_MdButton_MdButton = (MdButton_Component.exports);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdCollapse/MdCollapse.vue
var _this = this;

//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdCollapse = ({
  name: 'MdCollapse',
  props: {
    open: {
      type: Boolean,
      default: false
    },
    animation: {
      type: String,
      default: 'collapse'
    },
    uid: {
      type: String,
      default: ''
    }
  },
  data: function data() {
    return {
      animating: false,
      collapse: true,
      showBanner: true,
      height: 0,
      localOpen: _this.open
    };
  },
  computed: {
    rootClass: function rootClass() {
      return {
        'md-collapse--animating': this.animating,
        'md-collapse--open': this.open
      };
    },
    collapseHeight: function collapseHeight() {
      return this.height !== '' ? this.height + 'px' : '';
    },
    collapsedClass: function collapsedClass() {
      return this.collapse ? 'md-collapse--collapsed' : '';
    }
  },
  watch: {
    open: function open(value) {
      if (this.localOpen !== value) {
        this.toggle();
      }
    }
  },
  methods: {
    /**
     * Toggle and emit events
     */
    toggle: function toggle() {
      this.localOpen ? this.hide() : this.show();
    },
    show: function show() {
      var _this2 = this;

      if (this.animating) {
        return;
      }
      this.collapse = false;
      requestAnimationFrame(function () {
        _this2.animating = true;
        _this2.height = 0;
        _this2.setHeight();
        setTimeout(function () {
          _this2.animating = false;
          _this2.localOpen = true;
          _this2.height = '';
          _this2.$emit('open');
        }, 350);
      });
    },
    hide: function hide() {
      var _this3 = this;

      if (this.animating) {
        return;
      }
      this.animating = true;
      this.setHeight();
      requestAnimationFrame(function () {
        _this3.height = 0;
        setTimeout(function () {
          _this3.animating = false;
          _this3.localOpen = false;
          _this3.collapse = true;
          _this3.$emit('close');
        }, 350);
      });
    },
    setHeight: function setHeight() {
      this.height = this.$el.querySelector('.md-zippy__wrapper').offsetHeight;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-1ef8cd96","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdCollapse/MdCollapse.vue
var MdCollapse_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-collapse",class:[_vm.rootClass, _vm.collapsedClass],style:({ height: _vm.collapseHeight })},[_c('div',{staticClass:"md-zippy__wrapper",attrs:{"id":_vm.uid,"aria-expanded":_vm.open}},[_vm._t("default")],2)])}
var MdCollapse_staticRenderFns = []
var MdCollapse_esExports = { render: MdCollapse_render, staticRenderFns: MdCollapse_staticRenderFns }
/* harmony default export */ var MdCollapse_MdCollapse = (MdCollapse_esExports);
// CONCATENATED MODULE: ./src/components/MdCollapse/MdCollapse.vue
var MdCollapse_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdCollapse___vue_template_functional__ = false
/* styles */
var MdCollapse___vue_styles__ = null
/* scopeId */
var MdCollapse___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdCollapse___vue_module_identifier__ = null
var MdCollapse_Component = MdCollapse_normalizeComponent(
  MdCollapse,
  MdCollapse_MdCollapse,
  MdCollapse___vue_template_functional__,
  MdCollapse___vue_styles__,
  MdCollapse___vue_scopeId__,
  MdCollapse___vue_module_identifier__
)

/* harmony default export */ var components_MdCollapse_MdCollapse = (MdCollapse_Component.exports);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdBanner/MdBanner.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var MdBanner = ({
  name: 'MdBanner',
  components: { MdButton: components_MdButton_MdButton, MdCollapse: components_MdCollapse_MdCollapse },
  props: {
    theme: {
      type: String,
      default: 'primary'
    },
    overlap: {
      type: Boolean,
      default: false
    },
    dismissive: {
      type: Boolean,
      default: false
    },
    affirmative: {
      type: Boolean,
      default: true
    },
    uid: {
      type: String,
      required: true
    },
    affirmativeText: {
      type: String,
      default: 'OK'
    },
    icon: {
      type: String,
      default: null
    },
    text: {
      type: String,
      required: true
    },
    dismissiveText: {
      type: String,
      default: 'Cancel'
    },
    size: {
      type: String,
      default: null
    },
    vertical: {
      type: Boolean,
      default: false
    },
    fullWidth: {
      type: Boolean,
      default: false
    },
    open: {
      type: Boolean,
      default: true
    }
  },
  data: function data() {
    return {
      localOpen: false,
      animating: false,
      height: 0
    };
  },
  computed: {
    sizeClass: function sizeClass() {
      return this.size ? 'md-banner--' + this.size : '';
    }
  },
  watch: {
    open: function open(value) {
      this.localOpen = value;
    }
  },
  mounted: function mounted() {
    var _this = this;

    this.$nextTick(function () {
      _this.localOpen = _this.open;
    });
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-07235ec2","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdBanner/MdBanner.vue
var MdBanner_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('MdCollapse',{attrs:{"uid":'zippy-' + _vm.uid,"open":_vm.open},on:{"open":function($event){return _vm.$emit('open')},"close":function($event){return _vm.$emit('close')}}},[_c('div',{staticClass:"md-banner",class:[
      _vm.sizeClass,
      {
        'md-banner--vertical': _vm.vertical,
        'md-banner--full-width': _vm.fullWidth
      }
    ],attrs:{"id":_vm.uid}},[_c('div',{staticClass:"md-layout"},[(_vm.icon)?_c('div',{staticClass:"md-card__avatar md-banner__icon md-flex-noshrink"},[_c('i',{staticClass:"material-icons"},[_vm._v(_vm._s(_vm.icon))])]):_vm._e(),_vm._v(" "),_c('div',{staticClass:"md-banner__body md-typography--body-2 md-flex--grow"},[_vm._t("body",[_vm._v("\n          "+_vm._s(_vm.text)+"\n        ")])],2)]),_vm._v(" "),_c('section',{staticClass:"md-banner__actions"},[_vm._t("action",[(_vm.dismissive)?_c('MdButton',{attrs:{"size":"dense","label":_vm.dismissiveText},on:{"click":function($event){return _vm.$emit('dismissive')}}}):_vm._e(),_vm._v(" "),(_vm.affirmative)?_c('MdButton',{attrs:{"size":"dense","label":_vm.affirmativeText},on:{"click":function($event){return _vm.$emit('affirmative')}}}):_vm._e()])],2)])])}
var MdBanner_staticRenderFns = []
var MdBanner_esExports = { render: MdBanner_render, staticRenderFns: MdBanner_staticRenderFns }
/* harmony default export */ var MdBanner_MdBanner = (MdBanner_esExports);
// CONCATENATED MODULE: ./src/components/MdBanner/MdBanner.vue
var MdBanner_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdBanner___vue_template_functional__ = false
/* styles */
var MdBanner___vue_styles__ = null
/* scopeId */
var MdBanner___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdBanner___vue_module_identifier__ = null
var MdBanner_Component = MdBanner_normalizeComponent(
  MdBanner,
  MdBanner_MdBanner,
  MdBanner___vue_template_functional__,
  MdBanner___vue_styles__,
  MdBanner___vue_scopeId__,
  MdBanner___vue_module_identifier__
)

/* harmony default export */ var components_MdBanner_MdBanner = (MdBanner_Component.exports);

// CONCATENATED MODULE: ./src/components/MdBanner/index.js




var MdBanner_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdBanner_MdBanner);
  }
};

use(MdBanner_Plugin);

/* harmony default export */ var components_MdBanner = (MdBanner_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdBottomSheet/MdBottomSheet.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdBottomSheet = ({
  name: 'MdBottomSheet',
  props: {
    show: {
      type: Boolean,
      default: false
    },
    backdrop: {
      type: Boolean,
      default: true
    },
    keyboard: {
      type: Boolean,
      default: true
    },
    fullscreen: {
      type: Boolean,
      default: true
    }
  },
  data: function data() {
    return {
      shown: false,
      animating: false,
      bottomSheetHeight: 0,
      startTime: 0,
      endTime: 0,
      xDown: 0,
      yDown: 0,
      startY: 0,
      currentY: 0,
      touchingBSheet: false,
      currentXUp: 0,
      currentYUp: 0
    };
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-bottom-sheet--open': this.shown,
        'md-bottom-sheet--animating': this.animating
      }];
    }
  },
  beforeDestroy: function beforeDestroy() {
    document.querySelector('body').classList.remove('md-bottom-sheet-scroll-lock');
  },

  methods: {
    open: function open() {
      this.$emit('update:show', true);
    },
    close: function close() {
      this.$emit('update:show', false);
    },
    onTouchStart_: function onTouchStart_(e) {
      if (!this.shown) return;
      this.xDown = e.touches[0].clientX;
      this.yDown = e.touches[0].clientY;
      this.bottomSheetHeight = Math.min(this.$el.querySelector('.md-bottom-sheet__surface').clientHeight, window.innerHeight);
      this.startTime = Math.floor(Date.now());
      this.startY = e.touches[0].pageY;
      this.currentY = this.startY;
      this.touchingBSheet = true;
      requestAnimationFrame(this.updateBottomSheet_.bind(this));
    },
    updateBottomSheet_: function updateBottomSheet_() {
      if (!this.touchingBSheet) return;
      requestAnimationFrame(this.updateBottomSheet_);
      var translateY = Math.min(0, Math.max(-this.bottomSheetHeight, this.startY - this.currentY));
      var opacityPercentage = 0;
      if (Math.abs(translateY) <= this.bottomSheetHeight) {
        opacityPercentage = (this.bottomSheetHeight - Math.abs(translateY)) / this.bottomSheetHeight;
      }
      this.$el.querySelector('.md-bottom-sheet__surface').style.transform = 'translateY(' + -translateY + 'px)';
      this.$el.querySelector('.md-bottom-sheet__scrim').style.opacity = opacityPercentage;
    },
    onTouchMove_: function onTouchMove_(e) {
      this.currentXUp = e.touches[0].clientX;
      this.currentYUp = e.touches[0].clientY;
      if (!this.touchingBSheet) return;
      this.currentY = e.touches[0].pageY;
    },
    onTouchEnd_: function onTouchEnd_() {
      if (!this.touchingBSheet) return;
      this.touchingBSheet = false;
      var translateY = Math.min(0, Math.max(-this.bottomSheetHeight, this.startY - this.currentY));
      this.endTime = Math.floor(Date.now());
      if (!this.xDown || !this.yDown) {
        return;
      }
      if (translateY < -(this.bottomSheetHeight / 2)) {
        this.close();
      } else if (translateY) {
        this.$el.querySelector('.md-bottom-sheet__surface').style.transform = '';
        this.$el.querySelector('.md-bottom-sheet__scrim').style.opacity = '';
        this.animating = true;
        this.$el.querySelector('.md-bottom-sheet__scrim').addEventListener('transitionend', this.onTransitionEnd_);
      }
      this.startTime = 0;
      this.endTime = 0;
      this.xDown = 0;
    },
    onTransitionEnd_: function onTransitionEnd_() {
      this.animating = false;
      if (!this.shown) return;
      this.$el.querySelector('.md-bottom-sheet__scrim').removeEventListener('transitionend', this.onTransitionEnd_);
    },

    /* transition state */
    enter: function enter(el, done) {
      el.querySelector('.md-bottom-sheet__scrim').addEventListener('transitionend', function () {
        document.querySelector('body').classList.add('md-bottom-sheet-scroll-lock');
        done();
      });
    },
    afterEnter: function afterEnter() {
      this.shown = true;
    },
    beforeLeave: function beforeLeave(el) {
      // ...
      el.querySelector('.md-bottom-sheet__surface').style.transform = '';
      el.querySelector('.md-bottom-sheet__scrim').style.opacity = '';
    },
    leave: function leave(el, done) {
      el.querySelector('.md-bottom-sheet__scrim').addEventListener('transitionend', function () {
        document.querySelector('body').classList.remove('md-bottom-sheet-scroll-lock');
        done();
      });
    },
    afterLeave: function afterLeave() {
      this.shown = false;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-228cd9be","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdBottomSheet/MdBottomSheet.vue
var MdBottomSheet_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('transition',{attrs:{"leave-active-class":"md-bottom-sheet--animating","enter-active-class":"md-bottom-sheet--animating","enter-to-class":"md-bottom-sheet--open","leave-class":"md-bottom-sheet--open"},on:{"enter":_vm.enter,"leave":_vm.leave,"after-enter":_vm.afterEnter,"after-leave":_vm.afterLeave,"before-leave":_vm.beforeLeave}},[(_vm.show)?_c('aside',{staticClass:"md-bottom-sheet",class:[_vm.rootClasses]},[_c('div',{staticClass:"md-bottom-sheet__scrim",on:{"touchstart":_vm.onTouchStart_,"touchmove":_vm.onTouchMove_,"touchend":_vm.onTouchEnd_,"click":_vm.close}}),_vm._v(" "),_c('div',{staticClass:"md-bottom-sheet__surface"},[_vm._t("default")],2)]):_vm._e()])}
var MdBottomSheet_staticRenderFns = []
var MdBottomSheet_esExports = { render: MdBottomSheet_render, staticRenderFns: MdBottomSheet_staticRenderFns }
/* harmony default export */ var MdBottomSheet_MdBottomSheet = (MdBottomSheet_esExports);
// CONCATENATED MODULE: ./src/components/MdBottomSheet/MdBottomSheet.vue
function injectStyle (ssrContext) {
  __webpack_require__(41)
}
var MdBottomSheet_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdBottomSheet___vue_template_functional__ = false
/* styles */
var MdBottomSheet___vue_styles__ = injectStyle
/* scopeId */
var MdBottomSheet___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdBottomSheet___vue_module_identifier__ = null
var MdBottomSheet_Component = MdBottomSheet_normalizeComponent(
  MdBottomSheet,
  MdBottomSheet_MdBottomSheet,
  MdBottomSheet___vue_template_functional__,
  MdBottomSheet___vue_styles__,
  MdBottomSheet___vue_scopeId__,
  MdBottomSheet___vue_module_identifier__
)

/* harmony default export */ var components_MdBottomSheet_MdBottomSheet = (MdBottomSheet_Component.exports);

// CONCATENATED MODULE: ./src/components/MdBottomSheet/index.js




var MdBottomSheet_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdBottomSheet_MdBottomSheet);
  }
};

use(MdBottomSheet_Plugin);

/* harmony default export */ var components_MdBottomSheet = (MdBottomSheet_Plugin);


// CONCATENATED MODULE: ./src/components/MdButton/index.js




var MdButton_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdButton_MdButton);
  }
};

use(MdButton_Plugin);

/* harmony default export */ var components_MdButton = (MdButton_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdCheckbox/MdCheckbox.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdCheckbox = ({
  name: 'MdCheckbox',
  model: {
    prop: 'modelValue',
    event: 'input'
  },
  props: {
    uid: {
      type: String,
      required: true
    },
    name: {
      type: String,
      required: true
    },
    value: {
      type: [String, Number],
      default: null
    },
    theme: {
      type: String,
      default: null
    },
    checked: {
      type: Boolean,
      default: false
    },
    required: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    modelValue: {
      type: [Array, String, Number],
      default: undefined
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-checkbox--focused': this.focused,
        'md-checkbox--disabled': this.disabled
      }];
    },
    themeClass: function themeClass() {
      return this.theme ? 'md-checkbox--' + this.theme : '';
    },
    state: function state() {
      if (this.modelValue === undefined) {
        return this.checked;
      }
      if (Array.isArray(this.modelValue)) {
        return this.modelValue.indexOf(this.value) > -1;
      }
      return !!this.modelValue;
    }
  },
  data: function data() {
    return {
      focused: false
    };
  },
  watch: {
    checked: function checked(newValue) {
      if (newValue !== this.state) {
        this.toggle();
      }
    }
  },
  mounted: function mounted() {
    if (this.checked && !this.state) {
      this.toggle();
    }
  },

  methods: {
    onBlur_: function onBlur_($event) {
      this.focused = false;
      this.$emit('blur', $event);
    },
    onFocus_: function onFocus_($event) {
      this.focused = true;
      this.$emit('focus', $event);
    },
    onChanged: function onChanged($event) {
      this.focused = true;
      this.toggle();
    },
    toggle: function toggle() {
      var value = void 0;
      if (Array.isArray(this.modelValue)) {
        value = this.modelValue.slice(0);
        if (this.state) {
          value.splice(value.indexOf(this.value), 1);
        } else {
          value.push(this.value);
        }
      } else {
        value = !this.state;
      }
      this.$emit('input', value);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-0dc90024","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdCheckbox/MdCheckbox.vue
var MdCheckbox_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-form__item"},[_c('div',{staticClass:"md-checkbox",class:[_vm.rootClasses, _vm.themeClass]},[_c('input',{staticClass:"md-checkbox__native-control",attrs:{"type":"checkbox","id":_vm.uid,"name":_vm.name,"required":_vm.required,"disabled":_vm.disabled},domProps:{"value":_vm.value,"checked":_vm.state},on:{"change":_vm.onChanged,"blur":_vm.onBlur_,"focus":_vm.onFocus_}}),_vm._v(" "),_c('div',{staticClass:"md-checkbox__background"},[_c('svg',{staticClass:"md-checkbox__checkmark",attrs:{"viewBox":"0 0 24 24"}},[_c('path',{staticClass:"md-checkbox__checkmark__path",attrs:{"fill":"none","stroke":"white","d":"M1.73,12.91 8.1,19.28 22.79,4.59"}})]),_vm._v(" "),_c('div',{staticClass:"md-checkbox__mixedmark"})])]),_vm._v(" "),_c('label',{staticClass:"md-checkbox__label",attrs:{"for":_vm.uid}},[_vm._t("default")],2)])}
var MdCheckbox_staticRenderFns = []
var MdCheckbox_esExports = { render: MdCheckbox_render, staticRenderFns: MdCheckbox_staticRenderFns }
/* harmony default export */ var MdCheckbox_MdCheckbox = (MdCheckbox_esExports);
// CONCATENATED MODULE: ./src/components/MdCheckbox/MdCheckbox.vue
var MdCheckbox_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdCheckbox___vue_template_functional__ = false
/* styles */
var MdCheckbox___vue_styles__ = null
/* scopeId */
var MdCheckbox___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdCheckbox___vue_module_identifier__ = null
var MdCheckbox_Component = MdCheckbox_normalizeComponent(
  MdCheckbox,
  MdCheckbox_MdCheckbox,
  MdCheckbox___vue_template_functional__,
  MdCheckbox___vue_styles__,
  MdCheckbox___vue_scopeId__,
  MdCheckbox___vue_module_identifier__
)

/* harmony default export */ var components_MdCheckbox_MdCheckbox = (MdCheckbox_Component.exports);

// CONCATENATED MODULE: ./src/components/MdCheckbox/index.js




var MdCheckbox_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdCheckbox_MdCheckbox);
  }
};

use(MdCheckbox_Plugin);

/* harmony default export */ var components_MdCheckbox = (MdCheckbox_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdCircularProgress/MdCircularProgress.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdCircularProgress = ({
  name: 'MdCircularProgress',
  props: {
    mode: {
      type: String,
      default: 'indeterminate',
      validator: function validator(value) {
        return ['indeterminate', 'determinate', 'buffer'].indexOf(value) >= 0;
      }
    },
    theme: {
      type: String,
      default: null
    },
    show: {
      type: Boolean,
      default: true
    },
    autoFinish: {
      type: Boolean,
      default: true
    },
    progress: {
      type: Number,
      default: 0
    },
    size: {
      type: Number,
      default: 48
    }
  },
  data: function data() {
    return {
      strokeWidth: 4
    };
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-circular-progress--closed': !this.show
      }];
    },
    themeClass: function themeClass() {
      return this.theme ? 'md-circular-progress--' + this.theme : '';
    },
    progressMode: function progressMode() {
      return 'md-circular-progress--' + this.mode;
    },
    rootStyle: function rootStyle() {
      return {
        transform: this.mode === 'determinate' ? 'rotate(-90deg)' : false,
        width: this.size + 'px',
        height: this.size + 'px'
      };
    },
    strokeDashoffset: function strokeDashoffset() {
      if (this.mode === 'determinate') {
        return this.progress ? this.circumference - this.progress / 100 * this.circumference : 0;
      } else if (this.mode === 'indeterminate') {
        return this.circumference;
      }
      return false;
    },
    pathStyle: function pathStyle() {
      return {
        strokeDasharray: this.mode === 'indeterminate' ? false : this.circumference,
        strokeDashoffset: this.strokeDashoffset
      };
    },
    radius: function radius() {
      return (44 - this.strokeWidth) / 2;
    },
    circumference: function circumference() {
      return 2 * Math.PI * this.radius;
    }
  },
  methods: {
    open: function open() {
      this.$emit('update:show', true);
    },
    close: function close() {
      this.$emit('update:show', false);
    },
    setMode: function setMode(mode) {
      this.$emit('update:mode', mode);
    },
    setProgress: function setProgress(num) {
      this.$emit('update:progress', num);
    },
    reset: function reset() {
      this.$emit('update:progress', 0);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-4a6fee7d","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdCircularProgress/MdCircularProgress.vue
var MdCircularProgress_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-circular-progress",class:[_vm.themeClass, _vm.progressMode, _vm.rootClasses],style:(_vm.rootStyle),attrs:{"role":"progressbar","aria-valuemax":_vm.mode!=='indeterminate' ? 100 : false,"aria-valuemin":_vm.mode!=='indeterminate' ? 0 : false,"aria-valuenow":_vm.mode!=='indeterminate' ? _vm.progress : false}},[_c('svg',{staticClass:"md-circular-progress__bar",attrs:{"width":_vm.size + 'px',"height":_vm.size + 'px',"viewBox":"22 22 44 44","xmlns":"http://www.w3.org/2000/svg"}},[_c('circle',{staticClass:"md-circular-progress__path",style:(_vm.pathStyle),attrs:{"fill":"none","stroke-width":_vm.strokeWidth,"stroke-linecap":"round","cx":"44","cy":"44","r":"20"}})])])}
var MdCircularProgress_staticRenderFns = []
var MdCircularProgress_esExports = { render: MdCircularProgress_render, staticRenderFns: MdCircularProgress_staticRenderFns }
/* harmony default export */ var MdCircularProgress_MdCircularProgress = (MdCircularProgress_esExports);
// CONCATENATED MODULE: ./src/components/MdCircularProgress/MdCircularProgress.vue
var MdCircularProgress_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdCircularProgress___vue_template_functional__ = false
/* styles */
var MdCircularProgress___vue_styles__ = null
/* scopeId */
var MdCircularProgress___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdCircularProgress___vue_module_identifier__ = null
var MdCircularProgress_Component = MdCircularProgress_normalizeComponent(
  MdCircularProgress,
  MdCircularProgress_MdCircularProgress,
  MdCircularProgress___vue_template_functional__,
  MdCircularProgress___vue_styles__,
  MdCircularProgress___vue_scopeId__,
  MdCircularProgress___vue_module_identifier__
)

/* harmony default export */ var components_MdCircularProgress_MdCircularProgress = (MdCircularProgress_Component.exports);

// CONCATENATED MODULE: ./src/components/MdCircularProgress/index.js




var MdCircularProgress_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdCircularProgress_MdCircularProgress);
  }
};

use(MdCircularProgress_Plugin);

/* harmony default export */ var components_MdCircularProgress = (MdCircularProgress_Plugin);


// CONCATENATED MODULE: ./src/components/MdCollapse/index.js




var MdCollapse_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdCollapse_MdCollapse);
  }
};

use(MdCollapse_Plugin);

/* harmony default export */ var components_MdCollapse = (MdCollapse_Plugin);


// EXTERNAL MODULE: ./node_modules/focus-trap/index.js
var focus_trap = __webpack_require__(12);
var focus_trap_default = /*#__PURE__*/__webpack_require__.n(focus_trap);

// CONCATENATED MODULE: ./src/components/MdDialog/constants.js
var cssClasses = {
  CLOSING: 'md-dialog--closing',
  OPEN: 'md-dialog--open',
  OPENING: 'md-dialog--opening',
  SCROLLABLE: 'md-dialog--scrollable',
  SCROLL_LOCK: 'md-dialog-scroll-lock',
  STACKED: 'md-dialog--stacked'
};

var strings = {
  ACTION_ATTRIBUTE: 'data-md-dialog-action',
  BUTTON_SELECTOR: '.md-dialog__button',
  CLOSED_EVENT: 'MDDialog:closed',
  CLOSE_ACTION: 'close',
  CLOSING_EVENT: 'MDDialog:closing',
  CONTAINER_SELECTOR: '.md-dialog__container',
  CONTENT_SELECTOR: '.md-dialog__content',
  BUTTON_DEFAULT_ATTRIBUTE: 'data-md-dialog-button-default',
  DESTROY_ACTION: 'destroy',
  OPENED_EVENT: 'MDDialog:opened',
  OPENING_EVENT: 'MDDialog:opening',
  ACTION_EVENT: 'MDDialog:action',
  SCRIM_SELECTOR: '.md-dialog__scrim',
  SUPPRESS_DEFAULT_PRESS_SELECTOR: ['textarea', '.md-menu .md-list-item'].join(', '),
  SURFACE_SELECTOR: '.md-dialog__surface'
};

var numbers = {
  DIALOG_ANIMATION_CLOSE_TIME_MS: 75,
  DIALOG_ANIMATION_OPEN_TIME_MS: 150
};
// CONCATENATED MODULE: ./src/dom/ponyfill.js
function closest(element, selector) {
  if (element.closest) {
    return element.closest(selector);
  }
  var el = element;
  while (el) {
    if (this.matches(el, selector)) {
      return el;
    }
    el = el.parentElement;
  }
  return null;
}

function matches(element, selector) {
  var nativeMatches = element.matches || element.webkitMatchesSelector || element.msMatchesSelector;
  return nativeMatches.call(element, selector);
}
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdDialog/MdDialog.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var MdDialog = ({
  name: 'MdDialog',
  props: {
    show: {
      type: Boolean,
      default: false
    },
    enableScrim: {
      type: Boolean,
      default: true
    },
    closeOnButtonClick: {
      type: Boolean,
      default: true
    },
    closeOnScrimClick: {
      type: Boolean,
      default: true
    },
    fullscreen: {
      type: Boolean,
      default: false
    },
    header: {
      type: Boolean,
      default: true
    },
    body: {
      type: Boolean,
      default: true
    },
    footer: {
      type: Boolean,
      default: true
    },
    title: {
      type: String,
      default: null
    },
    scrimClickAction: {
      type: String,
      default: strings.CLOSE_ACTION
    },
    escapeKeyAction: {
      type: String,
      default: strings.CLOSE_ACTION
    }
  },
  data: function data() {
    return {
      shown: false,
      previousFocus: null,
      animating: false,
      bottomSheetHeight: 0,
      startTime: 0,
      endTime: 0,
      xDown: 0,
      yDown: 0,
      startY: 0,
      currentY: 0,
      touchingBSheet: false,
      currentXUp: 0,
      currentYUp: 0,
      focusTrap: null,
      action: null,
      dialogReady: false
    };
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-dialog--open': this.shown,
        'md-dialog--animating': this.animating
      }];
    }
  },
  beforeDestroy: function beforeDestroy() {
    this.removeBodyClass('md-dialog-scroll-lock');
    this.removeBodyClass('body-dialog-opening');
    this.removeBodyClass('body-dialog-closing');
    document.removeEventListener('keydown', this.handleDocumentKeydown_);
  },
  mounted: function mounted() {
    var _this = this;

    this.$nextTick(function () {
      _this.dialogReady = true;
      document.addEventListener('keydown', _this.handleDocumentKeydown_.bind(_this));
    });
  },

  methods: {
    open: function open() {
      this.$emit('update:show', true);
    },
    close: function close(action) {
      this.action = action;
      this.$emit('update:show', false);
    },
    saveFocus: function saveFocus() {
      this.previousFocus = document.activeElement | null;
    },
    focusSurface: function focusSurface() {
      this.$el.focus();
    },
    restoreFocus: function restoreFocus() {
      var previousFocus = this.previousFocus;
      if (previousFocus && previousFocus.focus && document.contains(document.activeElement)) {
        previousFocus.focus();
      }
    },
    onTransitionEnd_: function onTransitionEnd_() {
      this.animating = false;
      if (!this.shown) return;
      this.$el.querySelector(strings.CONTAINER_SELECTOR).removeEventListener('transitionend', this.onTransitionEnd_);
    },

    /* transition state */
    enter: function enter(el, done) {
      this.saveFocus();
      this.notifyOpening();
      el.querySelector(strings.CONTAINER_SELECTOR).addEventListener('transitionend', function () {
        document.querySelector('body').classList.add(cssClasses.SCROLL_LOCK);
        done();
      });
    },
    afterEnter: function afterEnter() {
      var _this2 = this;

      this.shown = true;
      document.querySelector('body').classList.remove('body-dialog-opening');
      this.notifyOpened(this.action);
      this.$nextTick(function () {
        _this2.setFocusTrap();
        _this2.trapFocus();
        // TODO this.focusActiveNavigationItem()
      });
    },
    beforeLeave: function beforeLeave(el) {
      // ...
      document.querySelector('body').classList.add('body-dialog-closing');
    },
    leave: function leave(el, done) {
      this.notifyClosing(this.action);
      el.querySelector(strings.SCRIM_SELECTOR).addEventListener('transitionend', function () {
        document.querySelector('body').classList.remove('md-dialog-scroll-lock');
        done();
      });
    },
    afterLeave: function afterLeave() {
      document.querySelector('body').classList.remove('body-dialog-closing');
      this.releaseFocus();
      this.restoreFocus();
      this.notifyClosed(this.action);
      this.shown = false;
    },
    trapFocus: function trapFocus() {
      this.focusTrap && this.focusTrap.activate();
    },
    releaseFocus: function releaseFocus() {
      this.focusTrap && this.focusTrap.deactivate();
    },
    setFocusTrap: function setFocusTrap(el) {
      this.focusTrap = focus_trap_default()(this.$el.querySelector(strings.SURFACE_SELECTOR), {
        clickOutsideDeactivates: true,
        escapeDeactivates: false,
        returnFocusOnDeactivate: false,
        includeContainer: true
      });
    },
    notifyAction: function notifyAction(action) {
      this.$emit(strings.ACTION_EVENT, action ? { action: action } : {});
    },
    notifyOpening: function notifyOpening(action) {
      this.$emit(strings.OPENING_EVENT, action ? { action: action } : {});
    },
    notifyOpened: function notifyOpened(action) {
      this.$emit(strings.OPENED_EVENT, action ? { action: action } : {});
    },
    notifyClosing: function notifyClosing(action) {
      this.$emit(strings.CLOSING_EVENT, action ? { action: action } : {});
    },
    notifyClosed: function notifyClosed(action) {
      this.$emit(strings.CLOSED_EVENT, action ? { action: action } : {});
    },
    getActionFromEvent: function getActionFromEvent(e) {
      if (!e.target) {
        return '';
      }
      var element = closest(e.target, '[' + strings.ACTION_ATTRIBUTE + ']');
      return element && element.getAttribute(strings.ACTION_ATTRIBUTE);
    },
    eventTargetMatches: function eventTargetMatches(target, selector) {
      return target ? matches(target, selector) : false;
    },
    handleInteraction: function handleInteraction(e) {
      var isClick = e.type === 'click';
      var isEnter = e.key === 'Enter' || e.keyCode === 13;
      var isSpace = e.key === 'Space' || e.keyCode === 32;
      var isScrim = this.eventTargetMatches(e.target, strings.SCRIM_SELECTOR);
      // eslint-disable-next-line no-unreachable
      if (isClick && isScrim && this.scrimClickAction !== '') {
        this.close();
      } else if (isClick || isSpace || isEnter) {
        var action = this.getActionFromEvent(e);
        if (action) {
          if (this.closeOnButtonClick) {
            this.close(action);
          } else {
            this.notifyAction(action);
          }
        }
      }
    },
    handleDocumentKeydown_: function handleDocumentKeydown_(e) {
      var isEscape = e.key === 'Escape' || e.keyCode === 27;
      if (isEscape && this.escapeKeyAction !== '') {
        this.close(this.escapeKeyAction);
      }
    },
    removeBodyClass: function removeBodyClass(className) {
      document.body.classList.remove(className);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-386ee306","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdDialog/MdDialog.vue
var MdDialog_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('transition',{attrs:{"leave-active-class":"md-dialog--closing","enter-active-class":"md-dialog--opening","enter-to-class":"md-dialog--open","leave-class":"md-dialog--open"},on:{"enter":_vm.enter,"leave":_vm.leave,"after-enter":_vm.afterEnter,"after-leave":_vm.afterLeave,"before-leave":_vm.beforeLeave}},[(_vm.show && _vm.dialogReady)?_c('aside',{staticClass:"md-dialog",class:[_vm.rootClasses],on:{"click":_vm.handleInteraction,"keydown":_vm.handleInteraction}},[_c('div',{staticClass:"md-dialog__scrim"}),_vm._v(" "),_c('div',{staticClass:"md-dialog__container"},[_c('div',{staticClass:"md-dialog__surface"},[(_vm.header && _vm.title)?_c('header',{staticClass:"md-dialog__header"},[_vm._t("header",[_c('div',{staticClass:"md-dialog__header-title"},[_vm._v("\n              "+_vm._s(_vm.title)+"\n            ")]),_vm._v(" "),_c('div',{staticClass:"md-flex--grow-1"})])],2):_vm._e(),_vm._v(" "),(_vm.body)?_c('div',{staticClass:"md-dialog__content"},[_vm._t("default")],2):_vm._e(),_vm._v(" "),(_vm.footer)?_c('footer',{staticClass:"md-dialog__footer"},[_vm._t("footer",[_c('button',{staticClass:"md-button",attrs:{"data-md-dialog-action":"close"}},[_vm._v("Cancel")]),_vm._v(" "),_c('button',{staticClass:"md-button",attrs:{"data-md-dialog-action":"accept"}},[_vm._v("OK")])])],2):_vm._e(),_vm._v(" "),_vm._t("surface")],2)])]):_vm._e()])}
var MdDialog_staticRenderFns = []
var MdDialog_esExports = { render: MdDialog_render, staticRenderFns: MdDialog_staticRenderFns }
/* harmony default export */ var MdDialog_MdDialog = (MdDialog_esExports);
// CONCATENATED MODULE: ./src/components/MdDialog/MdDialog.vue
var MdDialog_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdDialog___vue_template_functional__ = false
/* styles */
var MdDialog___vue_styles__ = null
/* scopeId */
var MdDialog___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdDialog___vue_module_identifier__ = null
var MdDialog_Component = MdDialog_normalizeComponent(
  MdDialog,
  MdDialog_MdDialog,
  MdDialog___vue_template_functional__,
  MdDialog___vue_styles__,
  MdDialog___vue_scopeId__,
  MdDialog___vue_module_identifier__
)

/* harmony default export */ var components_MdDialog_MdDialog = (MdDialog_Component.exports);

// CONCATENATED MODULE: ./src/components/MdDialog/index.js




var MdDialog_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdDialog_MdDialog);
  }
};

use(MdDialog_Plugin);

/* harmony default export */ var components_MdDialog = (MdDialog_Plugin);


// CONCATENATED MODULE: ./src/components/MdDrawer/constants.js
var constants_cssClasses = {
  CLOSING: 'md-drawer--closing',
  OPEN: 'md-drawer--open',
  OPENING: 'md-drawer--opening',
  ANIMATE: 'md-drawer--animate',
  SCROLLABLE: 'md-drawer--scrollable',
  SCROLL_LOCK: 'md-drawer-scroll-lock',
  STACKED: 'md-drawer--stacked',
  LIST_ITEM_ACTIVATED_CLASS: 'md-list-item--activated'
};

var constants_strings = {
  CLOSED_EVENT: 'mdMenuDrawer:closed',
  CLOSING_EVENT: 'mdMenuDrawer:closing',
  CONTAINER_SELECTOR: '.md-drawer__container',
  CONTENT_SELECTOR: '.md-drawer__content',
  DEFAULT_BUTTON_SELECTOR: '.md-drawer__button--default',
  OPENED_EVENT: 'mdMenuDrawer:opened',
  OPENING_EVENT: 'mdMenuDrawer:opening',
  SCRIM_SELECTOR: '.md-drawer__scrim',
  SUPPRESS_DEFAULT_PRESS_SELECTOR: ['textarea', '.md-menu .md-list-item'].join(', '),
  SURFACE_SELECTOR: '.md-drawer__surface'
};

var constants_numbers = {
  DIALOG_ANIMATION_CLOSE_TIME_MS: 200,
  DIALOG_ANIMATION_OPEN_TIME_MS: 250
};
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdDrawer/MdDrawer.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//




/* harmony default export */ var MdDrawer = ({
  name: 'MdDrawer',
  props: {
    show: {
      type: Boolean,
      default: false
    },
    enableScrim: {
      type: Boolean,
      default: true
    },
    enableSwipe: {
      type: Boolean,
      default: true
    },
    closeOnEsc: {
      type: Boolean,
      default: true
    },
    type: {
      type: String,
      default: 'permanent',
      validator: function validator(value) {
        return ['permanent', 'modal', 'dismissible'].indexOf(value) >= 0;
      }
    },
    surfaceWidth: {
      type: Number,
      default: 280,
      validator: function validator(value) {
        return value > 0 && value < 480;
      }
    },
    modalBreakpoint: {
      type: Number,
      default: 600
    }
  },
  data: function data() {
    return {
      shown: false,
      animate: false,
      startTime: 0,
      endTime: 0,
      xDown: 0,
      yDown: 0,
      startX: 0,
      currentX: 0,
      touchingDrawer: false,
      currentXUp: 0,
      currentYUp: 0,
      windowWidth: 0,
      previousFocus: null,
      focusTrap: null,
      drawerReady: false
    };
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-drawer--open': this.shown,
        'md-drawer--animate': this.animate,
        'md-drawer--dismissible': this.drawerType === 'dismissible',
        'md-drawer--modal': this.drawerType === 'modal'
      }];
    },
    drawerType: function drawerType() {
      return this.windowWidth >= this.modalBreakpoint ? this.type : 'modal';
    },
    surfaceMaxWidth: function surfaceMaxWidth() {
      return Math.ceil(this.windowWidth * .8);
    },
    drawerSurfaceWidth: function drawerSurfaceWidth() {
      return Math.min(this.surfaceWidth, this.surfaceMaxWidth);
    }
  },
  beforeMount: function beforeMount() {
    this.windowWidth = window.innerWidth;
    this.updateCssVariable();
  },
  mounted: function mounted() {
    var _this = this;

    this.$nextTick(function () {
      _this.drawerReady = true;
    });
    window.addEventListener('resize', this.updateWidth.bind(this));
  },
  beforeDestroy: function beforeDestroy() {
    this.removeBodyClass('md-drawer-scroll-lock');
    this.removeBodyClass('body-drawer-opening');
    this.removeBodyClass('body-drawer-closing');
    window.removeEventListener('resize', this.updateWidth);
  },

  methods: {
    open: function open() {
      this.$emit('update:show', true);
    },
    close: function close() {
      this.$emit('update:show', false);
    },
    onTouchStart_: function onTouchStart_(e) {
      if (!this.shown || !this.enableSwipe) return;
      this.xDown = e.touches[0].clientX;
      this.yDown = e.touches[0].clientY;
      this.startTime = Math.floor(Date.now());
      this.startX = e.touches[0].pageX;
      this.currentX = this.startX;
      this.touchingDrawer = true;
      requestAnimationFrame(this.updateDrawer_.bind(this));
    },
    updateDrawer_: function updateDrawer_() {
      if (!this.touchingDrawer) return;
      requestAnimationFrame(this.updateDrawer_);
      var translateX = Math.min(0, this.currentX - this.startX);
      var opacityPercentage = 0;
      if (Math.abs(translateX) <= this.drawerSurfaceWidth) {
        opacityPercentage = (this.drawerSurfaceWidth - Math.abs(translateX)) / this.drawerSurfaceWidth;
      }
      this.$el.querySelector(constants_strings.SURFACE_SELECTOR).style.transform = 'translateX(' + translateX + 'px)';
      this.$el.querySelector(constants_strings.SCRIM_SELECTOR).style.opacity = opacityPercentage;
    },
    onTouchMove_: function onTouchMove_(e) {
      this.currentXUp = e.touches[0].clientX;
      this.currentYUp = e.touches[0].clientY;
      if (!this.touchingDrawer) return;
      this.currentX = e.touches[0].pageX;
    },
    onTouchEnd_: function onTouchEnd_() {
      if (!this.touchingDrawer) return;
      this.touchingDrawer = false;
      var translateX = Math.min(0, this.currentX - this.startX);
      this.endTime = Math.floor(Date.now());
      if (!this.xDown || !this.yDown) {
        return;
      }
      if (translateX < 0 && translateX < -(this.drawerSurfaceWidth / 2)) {
        this.$el.querySelector(constants_strings.SURFACE_SELECTOR).style.transform = '';
        this.$el.querySelector(constants_strings.SCRIM_SELECTOR).style.opacity = '';
        this.close();
      } else {
        this.$el.querySelector(constants_strings.SURFACE_SELECTOR).addEventListener('transitionend', this.onTransitionEnd_.bind(this));
        this.$el.classList.add(constants_cssClasses.OPENING);
        this.$el.classList.add(constants_cssClasses.ANIMATE);
        this.$el.querySelector(constants_strings.SURFACE_SELECTOR).style.transform = '';
        this.$el.querySelector(constants_strings.SCRIM_SELECTOR).style.opacity = '';
      }
      this.startTime = 0;
      this.endTime = 0;
      this.xDown = 0;
    },
    onTransitionEnd_: function onTransitionEnd_() {
      if (!this.shown) return;
      this.$el.classList.remove(constants_cssClasses.OPENING);
      this.$el.classList.remove(constants_cssClasses.ANIMATE);
      this.$el.querySelector(constants_strings.SURFACE_SELECTOR).removeEventListener('transitionend', this.onTransitionEnd_);
    },

    /* transition state */
    beforeEnter: function beforeEnter() {
      document.querySelector('body').classList.add('body-drawer-opening');
    },
    enter: function enter(el, done) {
      var _this2 = this;

      this.notifyOpening();
      this.startTime = Math.floor(Date.now());
      if (this.drawerType === 'permanent' || this.drawerType === 'dismissible') {
        document.querySelector('body').style.paddingLeft = this.drawerSurfaceWidth + 'px';
      }
      if (this.drawerType === 'permanent') {
        done();
      } else {
        this.saveFocus();
      }
      el.querySelector(constants_strings.SURFACE_SELECTOR).addEventListener('transitionend', function () {
        if (_this2.type === 'modal') {
          document.querySelector('body').classList.add(constants_cssClasses.SCROLL_LOCK);
        }
        done();
      });
    },
    afterEnter: function afterEnter() {
      var _this3 = this;

      this.shown = true;
      document.querySelector('body').classList.remove('body-drawer-opening');
      this.notifyOpened();
      this.$nextTick(function () {
        _this3.setFocusTrap();
        _this3.trapFocus();
        _this3.focusActiveNavigationItem();
      });
    },
    beforeLeave: function beforeLeave(el) {
      document.querySelector('body').classList.add('body-drawer-closing');
    },
    leave: function leave(el, done) {
      this.notifyClosing();
      this.$el.classList.remove(constants_cssClasses.OPEN);
      this.startTime = Math.floor(Date.now());
      if (this.drawerType === 'permanent' || this.drawerType === 'dismissible') {
        document.querySelector('body').style.paddingLeft = '';
      }
      if (this.drawerType === 'permanent') {
        done();
      }
      el.querySelector(constants_strings.SURFACE_SELECTOR).addEventListener('transitionend', function () {
        document.querySelector('body').classList.remove('md-drawer-scroll-lock');
        done();
      });
    },
    afterLeave: function afterLeave() {
      document.querySelector('body').classList.remove('body-drawer-closing');
      this.releaseFocus();
      this.restoreFocus();
      this.notifyClosed();
      this.shown = false;
    },
    trapFocus: function trapFocus() {
      this.focusTrap.activate();
    },
    releaseFocus: function releaseFocus() {
      this.focusTrap.deactivate();
    },
    saveFocus: function saveFocus() {
      this.previousFocus = document.activeElement;
    },
    restoreFocus: function restoreFocus() {
      var previousFocus = this.previousFocus;
      if (previousFocus && previousFocus.focus && document.contains(document.activeElement)) {
        previousFocus.focus();
      }
    },
    focusActiveNavigationItem: function focusActiveNavigationItem() {
      var activeNavItemEl = this.$el.querySelector('.' + constants_cssClasses.LIST_ITEM_ACTIVATED_CLASS);
      if (activeNavItemEl) {
        activeNavItemEl.focus();
      }
    },
    setFocusTrap: function setFocusTrap(el) {
      this.focusTrap = focus_trap_default()(this.$el.querySelector(constants_strings.SURFACE_SELECTOR), {
        clickOutsideDeactivates: true,
        escapeDeactivates: false,
        returnFocusOnDeactivate: false,
        includeContainer: true
      });
    },
    clickDefaultButton: function clickDefaultButton() {},
    reverseButtons: function reverseButtons() {},
    notifyOpening: function notifyOpening() {
      this.$emit(constants_strings.OPENING_EVENT);
    },
    notifyOpened: function notifyOpened() {
      this.$emit(constants_strings.OPENED_EVENT);
    },
    notifyClosing: function notifyClosing() {
      this.$emit(constants_strings.CLOSING_EVENT);
    },
    notifyClosed: function notifyClosed() {
      this.$emit(constants_strings.CLOSED_EVENT);
    },
    updateWidth: function updateWidth() {
      this.windowWidth = window.innerWidth;
      this.updateCssVariable();
      this.updateBodyPadding();
    },
    updateCssVariable: function updateCssVariable() {
      var root = document.documentElement;
      root.style.setProperty('--drawer-surface-width', this.drawerSurfaceWidth + 'px');
      root.style.setProperty('--drawer-surface-translate', '-' + this.drawerSurfaceWidth + 'px');
    },
    updateBodyPadding: function updateBodyPadding() {
      if (this.drawerType === 'permanent' || this.drawerType === 'dismissible') {
        if (this.shown) {
          document.querySelector('body').style.paddingLeft = this.drawerSurfaceWidth + 'px';
        }
      } else {
        document.querySelector('body').style.paddingLeft = '';
      }
    },
    handleKeydown: function handleKeydown(e) {
      var keyCode = e.keyCode,
          key = e.key;

      var isEscape = key === 'Escape' || keyCode === 27;
      if (isEscape && this.closeOnEsc) {
        this.close();
      }
    },
    removeBodyClass: function removeBodyClass(className) {
      document.body.classList.remove(className);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-ae1be20a","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdDrawer/MdDrawer.vue
var MdDrawer_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('transition',{attrs:{"enter-class":"md-drawer--animate","enter-active-class":"md-drawer--opening","enter-to-class":"md-drawer--open","leave-active-class":"md-drawer--animate","leave-class":"md-drawer--closing","leave-to-class":""},on:{"before-enter":_vm.beforeEnter,"enter":_vm.enter,"after-enter":_vm.afterEnter,"before-leave":_vm.beforeLeave,"leave":_vm.leave,"after-leave":_vm.afterLeave}},[(_vm.show && _vm.drawerReady)?_c('aside',{staticClass:"md-drawer",class:[_vm.rootClasses],on:{"keydown":_vm.handleKeydown}},[(_vm.enableScrim)?_c('div',{staticClass:"md-drawer__scrim",on:{"click":_vm.close,"touchstart":_vm.onTouchStart_,"touchmove":_vm.onTouchMove_,"touchend":_vm.onTouchEnd_}}):_vm._e(),_vm._v(" "),_c('div',{staticClass:"md-drawer__surface"},[_vm._t("default")],2)]):_vm._e()])}
var MdDrawer_staticRenderFns = []
var MdDrawer_esExports = { render: MdDrawer_render, staticRenderFns: MdDrawer_staticRenderFns }
/* harmony default export */ var MdDrawer_MdDrawer = (MdDrawer_esExports);
// CONCATENATED MODULE: ./src/components/MdDrawer/MdDrawer.vue
var MdDrawer_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdDrawer___vue_template_functional__ = false
/* styles */
var MdDrawer___vue_styles__ = null
/* scopeId */
var MdDrawer___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdDrawer___vue_module_identifier__ = null
var MdDrawer_Component = MdDrawer_normalizeComponent(
  MdDrawer,
  MdDrawer_MdDrawer,
  MdDrawer___vue_template_functional__,
  MdDrawer___vue_styles__,
  MdDrawer___vue_scopeId__,
  MdDrawer___vue_module_identifier__
)

/* harmony default export */ var components_MdDrawer_MdDrawer = (MdDrawer_Component.exports);

// CONCATENATED MODULE: ./src/components/MdDrawer/index.js




var MdDrawer_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdDrawer_MdDrawer);
  }
};

use(MdDrawer_Plugin);

/* harmony default export */ var components_MdDrawer = (MdDrawer_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdFab/MdFab.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdFab = ({
  name: 'MdFab',
  props: {
    theme: {
      type: String,
      default: null
    },
    size: {
      type: String,
      default: null
    },
    active: {
      type: Boolean,
      default: false
    },
    icon: {
      type: String,
      default: null
    },
    nativeType: {
      type: String,
      default: 'button',
      validator: function validator(value) {
        return ['button', 'submit', 'reset'].indexOf(value) >= 0;
      }
    },
    tag: {
      type: String,
      default: 'button',
      validator: function validator(value) {
        return ['button', 'a', 'input'].indexOf(value) >= 0;
      }
    },
    iconPosition: {
      type: String,
      default: 'trailing'
    },
    label: {
      type: String,
      default: null
    },
    extended: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-fab--dense': this.dense
      }];
    },
    sizeClass: function sizeClass() {
      return this.size ? 'md-fab--' + this.size : '';
    },
    themeClass: function themeClass() {
      return this.theme ? 'md-fab--' + this.theme : '';
    },
    toggleClass: function toggleClass() {
      return this.toggle ? 'md-fab--on' : '';
    },
    iconPositionClass: function iconPositionClass() {
      return this.iconPosition === 'leading' ? 'md-fab__icon--leading' : 'md-fab__icon--trailing';
    },
    renderTrailingIcon: function renderTrailingIcon() {
      return this.icon && this.iconPosition === 'trailing';
    },
    renderLeadingIcon: function renderLeadingIcon() {
      return this.icon && this.iconPosition !== 'trailing';
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-2d294bde","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdFab/MdFab.vue
var MdFab_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.tag,{tag:"component",staticClass:"md-fab",class:[
    _vm.sizeClass,
    _vm.toggleClass,
    _vm.themeClass,
    {
      'md-fab--active': _vm.active,
      'md-fab--extended': _vm.extended && _vm.label
    }
  ],attrs:{"type":_vm.nativeType},on:{"click":function($event){return _vm.$emit('click', $event)}}},[(_vm.renderTrailingIcon)?_c('span',{staticClass:"md-fab__icon material-icons",class:[_vm.iconPositionClass]},[_vm._v(_vm._s(_vm.icon))]):_vm._e(),_vm._v(" "),(_vm.label && _vm.extended)?_c('span',{staticClass:"md-fab__label"},[_vm._v(_vm._s(_vm.label))]):_vm._e(),_vm._v(" "),(_vm.renderLeadingIcon)?_c('span',{staticClass:"md-fab__icon material-icons",class:[_vm.iconPositionClass]},[_vm._v(_vm._s(_vm.icon))]):_vm._e()])}
var MdFab_staticRenderFns = []
var MdFab_esExports = { render: MdFab_render, staticRenderFns: MdFab_staticRenderFns }
/* harmony default export */ var MdFab_MdFab = (MdFab_esExports);
// CONCATENATED MODULE: ./src/components/MdFab/MdFab.vue
var MdFab_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdFab___vue_template_functional__ = false
/* styles */
var MdFab___vue_styles__ = null
/* scopeId */
var MdFab___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdFab___vue_module_identifier__ = null
var MdFab_Component = MdFab_normalizeComponent(
  MdFab,
  MdFab_MdFab,
  MdFab___vue_template_functional__,
  MdFab___vue_styles__,
  MdFab___vue_scopeId__,
  MdFab___vue_module_identifier__
)

/* harmony default export */ var components_MdFab_MdFab = (MdFab_Component.exports);

// CONCATENATED MODULE: ./src/components/MdFab/index.js




var MdFab_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdFab_MdFab);
  }
};

use(MdFab_Plugin);

/* harmony default export */ var components_MdFab = (MdFab_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdIconButton/MdIconButton.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdIconButton = ({
  name: 'MdIconButton',
  props: {
    theme: {
      type: String,
      default: null
    },
    size: {
      type: String,
      default: null
    },
    active: {
      type: Boolean,
      default: false
    },
    icon: {
      type: String,
      required: true
    },
    nativeType: {
      type: String,
      default: 'button',
      validator: function validator(value) {
        return ['button', 'submit', 'reset'].indexOf(value) >= 0;
      }
    },
    tag: {
      type: String,
      default: 'button',
      validator: function validator(value) {
        return ['button', 'a', 'input'].indexOf(value) >= 0;
      }
    },
    toggle: {
      type: Boolean,
      default: false
    },
    toggleIcon: {
      type: String,
      default: null
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-icon-button--dense': this.dense
      }];
    },
    sizeClass: function sizeClass() {
      return this.size ? 'md-icon-button--' + this.size : '';
    },
    themeClass: function themeClass() {
      return this.theme ? 'md-icon-button--' + this.theme : '';
    },
    toggleClass: function toggleClass() {
      return this.toggle ? 'md-icon-button--on' : '';
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-11d62cb1","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdIconButton/MdIconButton.vue
var MdIconButton_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.tag,{tag:"component",staticClass:"md-icon-button",class:[
    _vm.sizeClass,
    _vm.toggleClass,
    _vm.themeClass,
    {
      'md-icon-button--active': _vm.active
    }
  ],attrs:{"type":_vm.nativeType},on:{"click":function($event){return _vm.$emit('click', $event)}}},[_c('span',{staticClass:"md-icon-button__icon material-icons"},[_vm._v(_vm._s(_vm.icon))]),_vm._v(" "),(_vm.toggleIcon)?_c('span',{staticClass:"md-icon-button__icon md-icon-button__icon--on material-icons"},[_vm._v(_vm._s(_vm.toggleIcon))]):_vm._e()])}
var MdIconButton_staticRenderFns = []
var MdIconButton_esExports = { render: MdIconButton_render, staticRenderFns: MdIconButton_staticRenderFns }
/* harmony default export */ var MdIconButton_MdIconButton = (MdIconButton_esExports);
// CONCATENATED MODULE: ./src/components/MdIconButton/MdIconButton.vue
var MdIconButton_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdIconButton___vue_template_functional__ = false
/* styles */
var MdIconButton___vue_styles__ = null
/* scopeId */
var MdIconButton___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdIconButton___vue_module_identifier__ = null
var MdIconButton_Component = MdIconButton_normalizeComponent(
  MdIconButton,
  MdIconButton_MdIconButton,
  MdIconButton___vue_template_functional__,
  MdIconButton___vue_styles__,
  MdIconButton___vue_scopeId__,
  MdIconButton___vue_module_identifier__
)

/* harmony default export */ var components_MdIconButton_MdIconButton = (MdIconButton_Component.exports);

// CONCATENATED MODULE: ./src/components/MdIconButton/index.js




var MdIconButton_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdIconButton_MdIconButton);
  }
};

use(MdIconButton_Plugin);

/* harmony default export */ var components_MdIconButton = (MdIconButton_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdInputHelper/MdInputHelper.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdInputHelper = ({
  name: 'MdInputHelper',
  props: {
    invalid: {
      type: Boolean,
      default: false
    },
    valueLength: {
      type: Number,
      default: 0
    },
    maxlength: {
      type: Number,
      default: 0
    },
    showCounter: {
      type: Boolean,
      default: false
    },
    persistent: {
      type: Boolean,
      default: false
    },
    errorText: {
      type: String,
      default: ''
    },
    helperText: {
      type: String,
      default: ''
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-input-helper--invalid': this.invalid
      }];
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-0f4b7d08","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdInputHelper/MdInputHelper.vue
var MdInputHelper_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-input-helper",class:_vm.rootClasses},[(!_vm.invalid)?_c('div',{staticClass:"md-input-helper__text",class:{ 'md-input-helper__text--persistent': _vm.persistent }},[_vm._v("\n    "+_vm._s(_vm.helperText)+"\n  ")]):_c('div',{staticClass:"md-input-helper__text md-input-helper__text--validation-msg"},[_vm._v("\n    "+_vm._s(_vm.errorText)+"\n  ")]),_vm._v(" "),(_vm.showCounter)?_c('div',{staticClass:"md-input-helper__text--counter md-input-helper__text"},[_vm._v("\n    "+_vm._s(_vm.valueLength)+" / "+_vm._s(_vm.maxlength)+"\n  ")]):_vm._e()])}
var MdInputHelper_staticRenderFns = []
var MdInputHelper_esExports = { render: MdInputHelper_render, staticRenderFns: MdInputHelper_staticRenderFns }
/* harmony default export */ var MdInputHelper_MdInputHelper = (MdInputHelper_esExports);
// CONCATENATED MODULE: ./src/components/MdInputHelper/MdInputHelper.vue
var MdInputHelper_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdInputHelper___vue_template_functional__ = false
/* styles */
var MdInputHelper___vue_styles__ = null
/* scopeId */
var MdInputHelper___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdInputHelper___vue_module_identifier__ = null
var MdInputHelper_Component = MdInputHelper_normalizeComponent(
  MdInputHelper,
  MdInputHelper_MdInputHelper,
  MdInputHelper___vue_template_functional__,
  MdInputHelper___vue_styles__,
  MdInputHelper___vue_scopeId__,
  MdInputHelper___vue_module_identifier__
)

/* harmony default export */ var components_MdInputHelper_MdInputHelper = (MdInputHelper_Component.exports);

// CONCATENATED MODULE: ./src/components/MdInputHelper/index.js




var MdInputHelper_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdInputHelper_MdInputHelper);
  }
};

use(MdInputHelper_Plugin);

/* harmony default export */ var components_MdInputHelper = (MdInputHelper_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdLinearProgress/MdLinearProgress.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdLinearProgress = ({
  name: 'MdLinearProgress',
  props: {
    mode: {
      type: String,
      default: 'indeterminate',
      validator: function validator(value) {
        return ['indeterminate', 'determinate', 'buffer'].indexOf(value) >= 0;
      }
    },
    theme: {
      type: String,
      default: 'primary'
    },
    reverse: {
      type: Boolean,
      default: false
    },
    show: {
      type: Boolean,
      default: true
    },
    autoFinish: {
      type: Boolean,
      default: true
    },
    progress: {
      type: Number,
      default: 0
    },
    buffer: {
      type: Number,
      default: 0
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-linear-progress--closed': !this.show,
        'md-linear-progress--reversed': this.reverse
      }];
    },
    progressMode: function progressMode() {
      return 'md-linear-progress--' + this.mode;
    },
    bufferStyle: function bufferStyle() {
      return {
        transform: this.mode === 'buffer' && !isNaN(this.buffer) ? 'scaleX(' + Math.floor(this.buffer) / 100 + ')' : false
      };
    },
    progressStyle: function progressStyle() {
      return {
        transform: this.mode !== 'indeterminate' && !isNaN(this.progress) ? 'scaleX(' + Math.floor(this.progress) / 100 + ')' : false
      };
    }
  },
  methods: {
    open: function open() {
      this.$emit('update:show', true);
    },
    close: function close() {
      this.$emit('update:show', false);
    },
    setMode: function setMode(mode) {
      this.$emit('update:mode', mode);
    },
    setBuffer: function setBuffer(num) {
      this.$emit('update:buffer', num);
    },
    setProgress: function setProgress(num) {
      this.$emit('update:progress', num);
    },
    setReverse: function setReverse(state) {
      this.$emit('update:reverse', state);
    },
    reset: function reset() {
      this.$emit('update:progress', 0);
      this.$emit('update:buffer', 0);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-6f3e6140","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdLinearProgress/MdLinearProgress.vue
var MdLinearProgress_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-linear-progress",class:[_vm.progressMode, _vm.rootClasses],attrs:{"role":"progressbar","aria-valuemax":_vm.mode!=='indeterminate' ? 100 : false,"aria-valuemin":_vm.mode!=='indeterminate' ? 0 : false,"aria-valuenow":_vm.mode!=='indeterminate' ? _vm.progress : false}},[_c('div',{staticClass:"md-linear-progress__aux"}),_vm._v(" "),_c('div',{staticClass:"md-linear-progress__buffer",style:(_vm.bufferStyle)}),_vm._v(" "),_c('div',{staticClass:"md-linear-progress__bar md-linear-progress__primary-bar",style:(_vm.progressStyle)},[_c('div',{staticClass:"md-linear-progress__bar-inner"})]),_vm._v(" "),_vm._m(0)])}
var MdLinearProgress_staticRenderFns = [function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-linear-progress__bar md-linear-progress__secondary-bar"},[_c('div',{staticClass:"md-linear-progress__bar-inner"})])}]
var MdLinearProgress_esExports = { render: MdLinearProgress_render, staticRenderFns: MdLinearProgress_staticRenderFns }
/* harmony default export */ var MdLinearProgress_MdLinearProgress = (MdLinearProgress_esExports);
// CONCATENATED MODULE: ./src/components/MdLinearProgress/MdLinearProgress.vue
var MdLinearProgress_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdLinearProgress___vue_template_functional__ = false
/* styles */
var MdLinearProgress___vue_styles__ = null
/* scopeId */
var MdLinearProgress___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdLinearProgress___vue_module_identifier__ = null
var MdLinearProgress_Component = MdLinearProgress_normalizeComponent(
  MdLinearProgress,
  MdLinearProgress_MdLinearProgress,
  MdLinearProgress___vue_template_functional__,
  MdLinearProgress___vue_styles__,
  MdLinearProgress___vue_scopeId__,
  MdLinearProgress___vue_module_identifier__
)

/* harmony default export */ var components_MdLinearProgress_MdLinearProgress = (MdLinearProgress_Component.exports);

// CONCATENATED MODULE: ./src/components/MdLinearProgress/index.js




var MdLinearProgress_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdLinearProgress_MdLinearProgress);
  }
};

use(MdLinearProgress_Plugin);

/* harmony default export */ var components_MdLinearProgress = (MdLinearProgress_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdLineRipple/MdLineRipple.vue
//
//
//
//
//
//
//
//

/* harmony default export */ var MdLineRipple = ({
  name: 'MdLineRipple',
  props: {
    active: {
      type: Boolean,
      required: true
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return {
        'md-line-ripple--active': this.isActive,
        'md-line-ripple--deactivating': this.isDeactivating
      };
    }
  },
  watch: {
    active: {
      immediate: false,
      handler: function handler(value) {
        if (value) {
          this.activate();
        } else {
          this.deactivate();
        }
      }
    }
  },
  data: function data() {
    return {
      isDeactivating: false,
      isActive: false
    };
  },
  methods: {
    activate: function activate() {
      this.isDeactivating = false;
      this.isActive = true;
    },
    deactivate: function deactivate() {
      this.isDeactivating = true;
    },
    setRippleCenter: function setRippleCenter(xCoordinate) {
      this.$el.style.transformOrigin = xCoordinate + 'px center';
    },
    onTransitionEnd_: function onTransitionEnd_(e) {
      if (e.propertyName === 'opacity' && this.isDeactivating) {
        this.isActive = false;
        this.isDeactivating = false;
      }
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-00054533","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdLineRipple/MdLineRipple.vue
var MdLineRipple_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-line-ripple",class:_vm.rootClasses,on:{"transitionend":_vm.onTransitionEnd_}})}
var MdLineRipple_staticRenderFns = []
var MdLineRipple_esExports = { render: MdLineRipple_render, staticRenderFns: MdLineRipple_staticRenderFns }
/* harmony default export */ var MdLineRipple_MdLineRipple = (MdLineRipple_esExports);
// CONCATENATED MODULE: ./src/components/MdLineRipple/MdLineRipple.vue
var MdLineRipple_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdLineRipple___vue_template_functional__ = false
/* styles */
var MdLineRipple___vue_styles__ = null
/* scopeId */
var MdLineRipple___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdLineRipple___vue_module_identifier__ = null
var MdLineRipple_Component = MdLineRipple_normalizeComponent(
  MdLineRipple,
  MdLineRipple_MdLineRipple,
  MdLineRipple___vue_template_functional__,
  MdLineRipple___vue_styles__,
  MdLineRipple___vue_scopeId__,
  MdLineRipple___vue_module_identifier__
)

/* harmony default export */ var components_MdLineRipple_MdLineRipple = (MdLineRipple_Component.exports);

// CONCATENATED MODULE: ./src/components/MdLineRipple/index.js




var MdLineRipple_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdLineRipple_MdLineRipple);
  }
};

use(MdLineRipple_Plugin);

/* harmony default export */ var components_MdLineRipple = (MdLineRipple_Plugin);


// CONCATENATED MODULE: ./src/utils/config.js
var config = {
  defaultContainerElement: null,
  defaultSnackbarDuration: 3500,
  defaultUseHtml5Validation: true,
  defaultInputHasCounter: false,
  defaultInputAutocomplete: 'on',
  denseLabelScale: 0.923,
  labelScale: 0.75
};

/* harmony default export */ var utils_config = (config);

var config_setOptions = function setOptions(options) {
  config = options;
};
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdNotchedOutline/MdNotchedOutline.vue
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var MdNotchedOutline = ({
  name: 'MdNotchedOutline',
  props: {
    uid: {
      type: String,
      required: true
    },
    label: {
      type: String,
      required: true
    },
    active: {
      type: Boolean,
      required: true
    },
    above: {
      type: Boolean,
      required: true
    },
    outline: {
      type: Boolean,
      required: true
    },
    dense: {
      type: Boolean,
      default: false
    }
  },
  data: function data() {
    return {
      valid: true,
      notchStyle: { width: '' },
      labelWidth_: ''
    };
  },
  watch: {
    above: function above(value) {
      if (value) {
        this.openNotchStyle_();
      } else {
        this.closeNotchStyle_();
      }
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-notched--active': this.active,
        'md-notched--outlined': this.outline
      }];
    },
    labelClasses: function labelClasses() {
      return [{
        'md-floating-label--float-above': this.above
      }];
    }
  },
  methods: {
    openNotchStyle_: function openNotchStyle_() {
      var labelScale = this.dense ? utils_config.denseLabelScale : utils_config.labelScale;
      var labelWidth = this.getLabelWidth_() * labelScale;
      this.notchStyle = { width: labelWidth + 9 + 'px' };
    },
    closeNotchStyle_: function closeNotchStyle_() {
      this.notchStyle = { width: '' };
    },
    getLabelWidth_: function getLabelWidth_() {
      var el = this.$el.querySelector('.md-notched__notch');
      return el.offsetWidth;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-9d2c1e9e","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdNotchedOutline/MdNotchedOutline.vue
var MdNotchedOutline_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-notched",class:_vm.rootClasses},[_c('div',{staticClass:"md-notched__leading"}),_vm._v(" "),_c('div',{staticClass:"md-notched__notch",style:(_vm.notchStyle)},[_c('label',{staticClass:"md-floating-label",class:_vm.labelClasses,attrs:{"for":_vm.uid}},[_vm._v("\n      "+_vm._s(_vm.label)+"\n    ")])]),_vm._v(" "),_c('div',{staticClass:"md-notched__trailing"})])}
var MdNotchedOutline_staticRenderFns = []
var MdNotchedOutline_esExports = { render: MdNotchedOutline_render, staticRenderFns: MdNotchedOutline_staticRenderFns }
/* harmony default export */ var MdNotchedOutline_MdNotchedOutline = (MdNotchedOutline_esExports);
// CONCATENATED MODULE: ./src/components/MdNotchedOutline/MdNotchedOutline.vue
var MdNotchedOutline_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdNotchedOutline___vue_template_functional__ = false
/* styles */
var MdNotchedOutline___vue_styles__ = null
/* scopeId */
var MdNotchedOutline___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdNotchedOutline___vue_module_identifier__ = null
var MdNotchedOutline_Component = MdNotchedOutline_normalizeComponent(
  MdNotchedOutline,
  MdNotchedOutline_MdNotchedOutline,
  MdNotchedOutline___vue_template_functional__,
  MdNotchedOutline___vue_styles__,
  MdNotchedOutline___vue_scopeId__,
  MdNotchedOutline___vue_module_identifier__
)

/* harmony default export */ var components_MdNotchedOutline_MdNotchedOutline = (MdNotchedOutline_Component.exports);

// CONCATENATED MODULE: ./src/components/MdNotchedOutline/index.js




var MdNotchedOutline_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdNotchedOutline_MdNotchedOutline);
  }
};

use(MdNotchedOutline_Plugin);

/* harmony default export */ var components_MdNotchedOutline = (MdNotchedOutline_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdOverlay/MdOverlay.vue
//
//
//
//
//
//
//
//

/* harmony default export */ var MdOverlay = ({
  name: 'MdOverlay',
  props: {
    show: {
      type: Boolean,
      default: true
    },
    fixed: {
      type: Boolean,
      default: false
    },
    center: {
      type: Boolean,
      default: true
    },
    cover: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-overlay--visible': this.show,
        'md-overlay--fixed': this.fixed,
        'md-overlay--center': this.center,
        'md-overlay--cover': this.cover
      }];
    }
  },
  methods: {
    open: function open() {
      this.$emit('update:show', true);
    },
    close: function close() {
      this.$emit('update:show', false);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-772f816a","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdOverlay/MdOverlay.vue
var MdOverlay_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-overlay",class:[_vm.rootClasses]},[_vm._t("default")],2)}
var MdOverlay_staticRenderFns = []
var MdOverlay_esExports = { render: MdOverlay_render, staticRenderFns: MdOverlay_staticRenderFns }
/* harmony default export */ var MdOverlay_MdOverlay = (MdOverlay_esExports);
// CONCATENATED MODULE: ./src/components/MdOverlay/MdOverlay.vue
var MdOverlay_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdOverlay___vue_template_functional__ = false
/* styles */
var MdOverlay___vue_styles__ = null
/* scopeId */
var MdOverlay___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdOverlay___vue_module_identifier__ = null
var MdOverlay_Component = MdOverlay_normalizeComponent(
  MdOverlay,
  MdOverlay_MdOverlay,
  MdOverlay___vue_template_functional__,
  MdOverlay___vue_styles__,
  MdOverlay___vue_scopeId__,
  MdOverlay___vue_module_identifier__
)

/* harmony default export */ var components_MdOverlay_MdOverlay = (MdOverlay_Component.exports);

// CONCATENATED MODULE: ./src/components/MdOverlay/index.js




var MdOverlay_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdOverlay_MdOverlay);
  }
};

use(MdOverlay_Plugin);

/* harmony default export */ var components_MdOverlay = (MdOverlay_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdRadio/MdRadio.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var MdRadio = ({
  name: 'MdRadio',
  model: {
    prop: 'modelValue',
    event: 'input'
  },
  props: {
    uid: {
      type: String,
      required: true
    },
    name: {
      type: String,
      required: true
    },
    value: {
      type: [String, Number],
      default: ''
    },
    theme: {
      type: String,
      default: null
    },
    checked: {
      type: Boolean,
      default: false
    },
    required: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    modelValue: {
      type: [String, Number],
      default: undefined
    }
  },
  computed: {
    rootClasses: function rootClasses() {
      return [{
        'md-radio--focused': this.focused,
        'md-radio--disabled': this.disabled
      }];
    },
    themeClass: function themeClass() {
      return this.theme ? 'md-radio--' + this.theme : '';
    },
    state: function state() {
      if (this.modelValue === undefined) {
        return this.checked;
      }
      return this.modelValue === this.value;
    }
  },
  data: function data() {
    return {
      focused: false
    };
  },
  watch: {
    checked: function checked(newValue) {
      if (newValue !== this.state) {
        this.toggle();
      }
    }
  },
  mounted: function mounted() {
    if (this.checked && !this.state) {
      this.toggle();
    }
  },

  methods: {
    onBlur_: function onBlur_($event) {
      this.focused = false;
      this.$emit('blur', $event);
    },
    onFocus_: function onFocus_($event) {
      this.focused = true;
      this.$emit('focus', $event);
    },
    onChanged: function onChanged($event) {
      this.focused = true;
      this.toggle();
    },
    toggle: function toggle() {
      this.$emit('input', this.state ? '' : this.value);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-e0efdd98","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdRadio/MdRadio.vue
var MdRadio_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-form__item"},[_c('div',{staticClass:"md-radio",class:[_vm.rootClasses, _vm.themeClass]},[_c('input',{staticClass:"md-radio__native-control",attrs:{"type":"radio","id":_vm.uid,"name":_vm.name,"required":_vm.required,"disabled":_vm.disabled},domProps:{"value":_vm.value,"checked":_vm.state},on:{"change":_vm.onChanged,"blur":_vm.onBlur_,"focus":_vm.onFocus_}}),_vm._v(" "),_vm._m(0)]),_vm._v(" "),_c('label',{staticClass:"md-radio__label",attrs:{"for":_vm.uid}},[_vm._t("default")],2)])}
var MdRadio_staticRenderFns = [function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-radio__background"},[_c('div',{staticClass:"md-radio__outer-circle"}),_vm._v(" "),_c('div',{staticClass:"md-radio__inner-circle"})])}]
var MdRadio_esExports = { render: MdRadio_render, staticRenderFns: MdRadio_staticRenderFns }
/* harmony default export */ var MdRadio_MdRadio = (MdRadio_esExports);
// CONCATENATED MODULE: ./src/components/MdRadio/MdRadio.vue
var MdRadio_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdRadio___vue_template_functional__ = false
/* styles */
var MdRadio___vue_styles__ = null
/* scopeId */
var MdRadio___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdRadio___vue_module_identifier__ = null
var MdRadio_Component = MdRadio_normalizeComponent(
  MdRadio,
  MdRadio_MdRadio,
  MdRadio___vue_template_functional__,
  MdRadio___vue_styles__,
  MdRadio___vue_scopeId__,
  MdRadio___vue_module_identifier__
)

/* harmony default export */ var components_MdRadio_MdRadio = (MdRadio_Component.exports);

// CONCATENATED MODULE: ./src/components/MdRadio/index.js




var MdRadio_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdRadio_MdRadio);
  }
};

use(MdRadio_Plugin);

/* harmony default export */ var components_MdRadio = (MdRadio_Plugin);


// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdSelect/MdSelect.vue
var MdSelect__this = this;

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//





/* harmony default export */ var MdSelect = ({
  name: 'MdSelect',
  props: {
    uid: {
      type: String,
      required: true
    },
    label: {
      type: String,
      required: true
    },
    helperText: {
      type: String,
      default: null
    },
    errorText: {
      type: String,
      default: null
    },
    icon: {
      type: String,
      default: null
    },
    native: {
      type: Boolean,
      default: true
    },
    invalid: {
      type: Boolean,
      default: false
    },
    name: {
      type: String,
      default: null
    },
    value: {
      type: [String, Number, Boolean, Object, Array, Function],
      default: null
    },
    options: {
      type: [Array, Function],
      default: null
    },
    multiple: {
      type: Boolean,
      default: false
    },
    nativeSize: {
      type: [String, Number],
      default: null
    },
    outline: {
      type: Boolean,
      default: true
    },
    required: {
      type: Boolean,
      default: false
    },
    readonly: {
      type: Boolean,
      default: false
    },
    useHtml5Validation: {
      type: Boolean,
      default: function _default() {
        return utils_config.defaultUseHtml5Validation;
      }
    },
    dense: {
      type: Boolean,
      default: false
    },
    leadingIcon: {
      type: String,
      default: null
    },
    trailingIcon: {
      type: String,
      default: null
    },
    trailingIconClickable: {
      type: Boolean,
      default: false
    },
    leadingIconClickable: {
      type: Boolean,
      default: false
    },
    resultsDisplay: {
      type: [String, Function],
      default: "value"
    },
    optionsDisplay: {
      type: [String, Function],
      default: "option"
    }
  },
  data: function data() {
    return {
      selected: MdSelect__this.value,
      localErrorText: MdSelect__this.errorText,
      valid: true,
      focused: false
    };
  },
  components: {
    MdNotchedOutline: components_MdNotchedOutline_MdNotchedOutline,
    MdInputHelper: components_MdInputHelper_MdInputHelper
  },
  computed: {
    computedValue: {
      get: function get() {
        return this.selected;
      },
      set: function set(value) {
        this.selected = value;
        this.$emit('input', value);
        !this.valid && this.checkValidity_();
      }
    },
    computedOption: function computedOption() {
      var _this2 = this;

      var index = this.options.findIndex(function (item) {
        return item.value === _this2.computedValue;
      });
      if (index !== -1) {
        return this.options[index].option;
      } else {
        return null;
      }
    },
    rootClasses: function rootClasses() {
      return [{
        'md-select--dense': this.dense,
        'md-select--outlined': this.outline,
        'md-select--focused': this.focused,
        'md-select--invalid': !this.valid || this.invalid,
        'md-select--loading': this.loading,
        'md-select--dirty': this.dirty,
        'md-select--with-trailing-icon': this.trailingIcon,
        'md-select--with-leading-icon': this.leadingIcon,
        'md-select--textarea': this.type === 'textarea'
      }];
    },
    labelClasses: function labelClasses() {
      return [{
        'md-floating-label--float-above': this.dirty || this.focused
      }];
    },
    valueLength: function valueLength() {
      if (typeof this.selected === 'string') {
        return this.computedValue.length;
      } else if (typeof this.computedValue === 'number') {
        return this.computedValue.toString().length;
      }
      return 0;
    },
    dirty: function dirty() {
      return this.valueLength !== 0;
    },
    trailingIconTabIndex: function trailingIconTabIndex() {
      return this.trailingIconClickable ? '-1' : false;
    },
    leadingIconTabIndex: function leadingIconTabIndex() {
      return this.leadingIconClickable ? '-1' : false;
    }
  },
  watch: {
    value: function value(_value) {
      this.selected = _value;
      !this.invalid && this.checkValidity_();
    },
    errorText: function errorText(value) {
      this.localErrorText = value;
    }
  },
  methods: {
    onInput_: function onInput_(event) {
      var _this3 = this;

      this.$nextTick(function () {
        if (event.target) {
          _this3.computedValue = event.target.value;
        }
      });
    },
    onBlur_: function onBlur_($event) {
      this.focused = false;
      this.$emit('blur', $event);
      this.checkValidity_();
    },
    onFocus_: function onFocus_() {
      this.focused = true;
    },
    checkValidity_: function checkValidity_() {
      var _this4 = this;

      if (!this.useHtml5Validation) return;

      var el = this.native ? this.$el.querySelector('.md-select__native-control') : this.$el.querySelector('.md-select__hidden-input');

      var errorMessage = null;
      var valid = true;

      if (!el.checkValidity()) {
        errorMessage = el.validationMessage;
        valid = false;
        this.$nextTick(function () {
          if (!_this4.errorText && !_this4.valid) {
            _this4.localErrorText = errorMessage;
          }
        });
      }

      this.valid = valid;

      return this.valid;
    },

    /**
     * Opens the menu.
     */
    openMenu: function openMenu() {},

    /**
     * Closes the menu.
     */
    closeMenu: function closeMenu() {},

    /**
     * Emits a change event when an element is selected.
     */
    notifyChange: function notifyChange() {}
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-a93ae83a","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdSelect/MdSelect.vue
var MdSelect_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-form__item"},[_c('div',{staticClass:"md-select",class:_vm.rootClasses},[(_vm.leadingIcon)?_c('i',{staticClass:"material-icons md-select__icon"},[_vm._v("\n      "+_vm._s(_vm.leadingIcon)+"\n    ")]):_vm._e(),_vm._v(" "),(_vm.native)?_c('select',{directives:[{name:"model",rawName:"v-model",value:(_vm.computedValue),expression:"computedValue"}],staticClass:"md-select__native-control",attrs:{"size":_vm.nativeSize,"id":_vm.uid},on:{"blur":_vm.onBlur_,"focus":_vm.onFocus_,"change":function($event){var $$selectedVal = Array.prototype.filter.call($event.target.options,function(o){return o.selected}).map(function(o){var val = "_value" in o ? o._value : o.value;return val}); _vm.computedValue=$event.target.multiple ? $$selectedVal : $$selectedVal[0]}}},_vm._l((_vm.options),function(option){return _c('option',{key:option.value,domProps:{"value":option.value}},[_vm._v("\n        "+_vm._s(option.option)+"\n      ")])}),0):[_c('div',{staticClass:"md-select__selected-text",attrs:{"id":_vm.uid,"role":"button","aria-haspopup":"listbox","aria-labelledby":"outlined_enhanced outlined_enhanced-label","tabindex":"0","aria-expanded":"true"}},[_vm._v("\n        "+_vm._s(_vm.computedOption)+"\n      ")]),_vm._v(" "),_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.computedValue),expression:"computedValue"}],staticClass:"md-select__hidden-input",attrs:{"type":"hidden","required":_vm.required},domProps:{"value":(_vm.computedValue)},on:{"input":function($event){if($event.target.composing){ return; }_vm.computedValue=$event.target.value}}})],_vm._v(" "),(_vm.outline)?[_c('MdNotchedOutline',{attrs:{"above":_vm.dirty || _vm.focused,"active":_vm.dirty || _vm.focused,"outline":true,"uid":_vm.uid,"label":_vm.label}})]:[_c('label',{staticClass:"md-floating-label",class:_vm.labelClasses,attrs:{"for":_vm.uid}},[_vm._v(_vm._s(_vm.label))])],_vm._v(" "),_c('i',{staticClass:"material-icons md-select__dropdown-icon"},[_vm._v("arrow_drop_down")]),_vm._v(" "),(!_vm.outline)?_c('div',{staticClass:"md-line-ripple"}):_vm._e()],2),_vm._v(" "),_c('MdInputHelper',{attrs:{"invalid":!_vm.valid || _vm.invalid,"value-length":_vm.valueLength,"error-text":_vm.localErrorText,"persistent":true,"helper-text":_vm.helperText}})],1)}
var MdSelect_staticRenderFns = []
var MdSelect_esExports = { render: MdSelect_render, staticRenderFns: MdSelect_staticRenderFns }
/* harmony default export */ var MdSelect_MdSelect = (MdSelect_esExports);
// CONCATENATED MODULE: ./src/components/MdSelect/MdSelect.vue
var MdSelect_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdSelect___vue_template_functional__ = false
/* styles */
var MdSelect___vue_styles__ = null
/* scopeId */
var MdSelect___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdSelect___vue_module_identifier__ = null
var MdSelect_Component = MdSelect_normalizeComponent(
  MdSelect,
  MdSelect_MdSelect,
  MdSelect___vue_template_functional__,
  MdSelect___vue_styles__,
  MdSelect___vue_scopeId__,
  MdSelect___vue_module_identifier__
)

/* harmony default export */ var components_MdSelect_MdSelect = (MdSelect_Component.exports);

// CONCATENATED MODULE: ./src/components/MdSelect/index.js




var MdSelect_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdSelect_MdSelect);
  }
};

use(MdSelect_Plugin);

/* harmony default export */ var components_MdSelect = (MdSelect_Plugin);


// EXTERNAL MODULE: ./node_modules/babel-runtime/helpers/extends.js
var helpers_extends = __webpack_require__(44);
var extends_default = /*#__PURE__*/__webpack_require__.n(helpers_extends);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/components/MdTextField/MdTextField.vue


var MdTextField__this = this;

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//






/* harmony default export */ var MdTextField = ({
  name: 'MdTextField',
  props: {
    uid: {
      type: String,
      required: true
    },
    label: {
      type: String,
      required: true
    },
    helperText: {
      type: String,
      default: null
    },
    errorText: {
      type: String,
      default: null
    },
    icon: {
      type: String,
      default: null
    },
    renderButton: {
      type: Boolean,
      default: false
    },
    invalid: {
      type: Boolean,
      default: false
    },
    name: {
      type: String,
      default: null
    },
    value: {
      type: [String, Number],
      default: null
    },
    outline: {
      type: Boolean,
      default: true
    },
    pattern: {
      type: String,
      default: null
    },
    rows: {
      type: Number,
      default: 4
    },
    type: {
      type: String,
      default: 'text',
      validator: function validator(value) {
        return ['date', 'datetime-local', 'email', 'number', 'password', 'search', 'tel', 'text', 'textarea', 'url', 'week'].indexOf(value) >= 0;
      }
    },
    maxlength: {
      type: Number,
      default: null
    },
    max: {
      type: Number,
      default: null
    },
    min: {
      type: Number,
      default: null
    },
    minlength: {
      type: Number,
      default: null
    },
    required: {
      type: Boolean,
      default: false
    },
    readonly: {
      type: Boolean,
      default: false
    },
    autocomplete: {
      type: String,
      default: function _default() {
        return utils_config.defaultInputAutocomplete;
      }
    },
    useHtml5Validation: {
      type: Boolean,
      default: function _default() {
        return utils_config.defaultUseHtml5Validation;
      }
    },
    dense: {
      type: Boolean,
      default: false
    },
    loading: {
      type: Boolean,
      default: false
    },
    leadingIcon: {
      type: String,
      default: null
    },
    trailingIcon: {
      type: String,
      default: null
    },
    showCounter: {
      type: Boolean,
      default: function _default() {
        return utils_config.defaultInputHasCounter;
      }
    },
    trailingIconClickable: {
      type: Boolean,
      default: false
    },
    leadingIconClickable: {
      type: Boolean,
      default: false
    }
  },
  data: function data() {
    return {
      localValue: MdTextField__this.value,
      localErrorText: MdTextField__this.errorText,
      valid: true,
      focused: false
    };
  },
  components: {
    MdLineRipple: components_MdLineRipple_MdLineRipple,
    MdNotchedOutline: components_MdNotchedOutline_MdNotchedOutline,
    MdInputHelper: components_MdInputHelper_MdInputHelper
  },
  computed: {
    computedValue: {
      get: function get() {
        return this.localValue;
      },
      set: function set(value) {
        this.localValue = value;
        this.$emit('input', value);
        !this.valid && this.checkValidity_();
      }
    },
    rootClasses: function rootClasses() {
      return [{
        'md-text-field--dense': this.dense,
        'md-text-field--outlined': this.outline,
        'md-text-field--focused': this.focused,
        'md-text-field--invalid': !this.valid || this.invalid,
        'md-text-field--loading': this.loading,
        'md-text-field--dirty': this.dirty,
        'md-text-field--with-trailing-icon': this.trailingIcon,
        'md-text-field--with-leading-icon': this.leadingIcon,
        'md-text-field--textarea': this.type === 'textarea'
      }];
    },
    labelClasses: function labelClasses() {
      return [{
        'md-floating-label--float-above': this.dirty || this.focused
      }];
    },
    valueLength: function valueLength() {
      if (typeof this.localValue === 'string') {
        return this.computedValue.length;
      } else if (typeof this.computedValue === 'number') {
        return this.computedValue.toString().length;
      }
      return 0;
    },
    dirty: function dirty() {
      return this.valueLength !== 0;
    },
    trailingIconTabIndex: function trailingIconTabIndex() {
      return this.trailingIconClickable ? '-1' : false;
    },
    leadingIconTabIndex: function leadingIconTabIndex() {
      return this.leadingIconClickable ? '-1' : false;
    },
    attributes: function attributes() {
      return extends_default()({}, this.$attrs, {
        type: this.type,
        id: this.uid,
        name: this.name,
        disabled: this.disabled,
        required: this.required,
        placeholder: this.placeholder,
        readonly: this.readonly,
        maxlength: this.maxlength,
        minlength: this.minlength,
        max: this.max,
        min: this.min,
        pattern: this.pattern
      });
    }
  },
  watch: {
    value: function value(_value) {
      this.localValue = _value;
    },
    errorText: function errorText(value) {
      this.localErrorText = value;
    }
  },
  methods: {
    onInput_: function onInput_(event) {
      var _this2 = this;

      this.$nextTick(function () {
        if (event.target) {
          _this2.computedValue = event.target.value;
        }
      });
    },
    onBlur_: function onBlur_($event) {
      this.focused = false;
      this.$emit('blur', $event);
      this.checkValidity_();
    },
    onFocus_: function onFocus_($event) {
      this.focused = true;
      this.$emit('focus', $event);
    },
    setPointerXOffset_: function setPointerXOffset_(e) {
      this.setTransformOrigin(e);
    },
    checkValidity_: function checkValidity_() {
      var _this3 = this;

      if (!this.useHtml5Validation) return;

      var el = this.$el.querySelector('.md-text-field__input');

      var errorMessage = null;
      var valid = true;

      if (!el.checkValidity()) {
        errorMessage = el.validationMessage;
        valid = false;
        this.$nextTick(function () {
          if (!_this3.errorText && !_this3.valid) {
            _this3.localErrorText = errorMessage;
          }
        });
      }

      this.valid = valid;

      return this.valid;
    },
    setLineRippleTransformOrigin: function setLineRippleTransformOrigin(normalizedX) {
      if (!this.outline) {
        this.$refs.lineRipple.setRippleCenter(normalizedX);
      }
    },
    setTransformOrigin: function setTransformOrigin(e) {
      var touches = e.touches;
      var targetEvent = touches ? touches[0] : e;
      var targetClientRect = targetEvent.target.getBoundingClientRect();
      var normalizedX = targetEvent.clientX - targetClientRect.left;
      this.setLineRippleTransformOrigin(normalizedX);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-01853110","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/components/MdTextField/MdTextField.vue
var MdTextField_render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"md-form__item"},[_c('div',{staticClass:"md-text-field",class:_vm.rootClasses},[(_vm.leadingIcon)?_c('i',{staticClass:"material-icons md-text-field__icon"},[_vm._v("\n      "+_vm._s(_vm.leadingIcon)+"\n    ")]):_vm._e(),_vm._v(" "),(((_vm.attributes).type)==='checkbox'&&(_vm.type !== 'textarea'))?_c('input',_vm._b({directives:[{name:"model",rawName:"v-model",value:(_vm.computedValue),expression:"computedValue"}],ref:"input",staticClass:"md-text-field__input",attrs:{"type":"checkbox"},domProps:{"checked":Array.isArray(_vm.computedValue)?_vm._i(_vm.computedValue,null)>-1:(_vm.computedValue)},on:{"touchstart":_vm.setPointerXOffset_,"mousedown":_vm.setPointerXOffset_,"input":_vm.onInput_,"blur":_vm.onBlur_,"focus":_vm.onFocus_,"change":function($event){var $$a=_vm.computedValue,$$el=$event.target,$$c=$$el.checked?(true):(false);if(Array.isArray($$a)){var $$v=null,$$i=_vm._i($$a,$$v);if($$el.checked){$$i<0&&(_vm.computedValue=$$a.concat([$$v]))}else{$$i>-1&&(_vm.computedValue=$$a.slice(0,$$i).concat($$a.slice($$i+1)))}}else{_vm.computedValue=$$c}}}},'input',_vm.attributes,false)):(((_vm.attributes).type)==='radio'&&(_vm.type !== 'textarea'))?_c('input',_vm._b({directives:[{name:"model",rawName:"v-model",value:(_vm.computedValue),expression:"computedValue"}],ref:"input",staticClass:"md-text-field__input",attrs:{"type":"radio"},domProps:{"checked":_vm._q(_vm.computedValue,null)},on:{"touchstart":_vm.setPointerXOffset_,"mousedown":_vm.setPointerXOffset_,"input":_vm.onInput_,"blur":_vm.onBlur_,"focus":_vm.onFocus_,"change":function($event){_vm.computedValue=null}}},'input',_vm.attributes,false)):(_vm.type !== 'textarea')?_c('input',_vm._b({directives:[{name:"model",rawName:"v-model",value:(_vm.computedValue),expression:"computedValue"}],ref:"input",staticClass:"md-text-field__input",attrs:{"type":(_vm.attributes).type},domProps:{"value":(_vm.computedValue)},on:{"touchstart":_vm.setPointerXOffset_,"mousedown":_vm.setPointerXOffset_,"input":[function($event){if($event.target.composing){ return; }_vm.computedValue=$event.target.value},_vm.onInput_],"blur":_vm.onBlur_,"focus":_vm.onFocus_}},'input',_vm.attributes,false)):_c('textarea',_vm._b({directives:[{name:"model",rawName:"v-model",value:(_vm.computedValue),expression:"computedValue"}],ref:"textarea",staticClass:"md-text-field__input",attrs:{"rows":_vm.rows},domProps:{"value":(_vm.computedValue)},on:{"input":[function($event){if($event.target.composing){ return; }_vm.computedValue=$event.target.value},_vm.onInput_],"blur":_vm.onBlur_,"focus":_vm.onFocus_}},'textarea',_vm.attributes,false)),_vm._v(" "),(_vm.outline)?[_c('MdNotchedOutline',{attrs:{"above":_vm.dirty || _vm.focused,"active":_vm.dirty || _vm.focused,"outline":true,"uid":_vm.uid,"label":_vm.label}})]:[_c('label',{staticClass:"md-floating-label",class:_vm.labelClasses,attrs:{"for":_vm.uid}},[_vm._v(_vm._s(_vm.label))])],_vm._v(" "),(_vm.trailingIcon)?_c('i',{staticClass:"material-icons md-text-field__icon",attrs:{"tabindex":_vm.trailingIconTabIndex},on:{"click":function($event){return _vm.$emit('trailingIconClick')}}},[_vm._v("\n      "+_vm._s(_vm.trailingIcon)+"\n    ")]):_vm._e(),_vm._v(" "),(_vm.leadingIcon)?_c('i',{staticClass:"material-icons md-text-field__icon",attrs:{"tabindex":_vm.leadingIconTabIndex},on:{"click":function($event){return _vm.$emit('leadingIconClick')}}},[_vm._v("\n      "+_vm._s(_vm.leadingIcon)+"\n    ")]):_vm._e(),_vm._v(" "),(!_vm.outline)?_c('MdLineRipple',{ref:"lineRipple",attrs:{"active":_vm.focused || _vm.dirty}}):_vm._e()],2),_vm._v(" "),_c('MdInputHelper',{attrs:{"invalid":!_vm.valid || _vm.invalid,"value-length":_vm.valueLength,"error-text":_vm.localErrorText,"show-counter":_vm.maxlength && _vm.showCounter && _vm.type !== 'number',"maxlength":_vm.maxlength,"persistent":true,"helper-text":_vm.helperText}})],1)}
var MdTextField_staticRenderFns = []
var MdTextField_esExports = { render: MdTextField_render, staticRenderFns: MdTextField_staticRenderFns }
/* harmony default export */ var MdTextField_MdTextField = (MdTextField_esExports);
// CONCATENATED MODULE: ./src/components/MdTextField/MdTextField.vue
var MdTextField_normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var MdTextField___vue_template_functional__ = false
/* styles */
var MdTextField___vue_styles__ = null
/* scopeId */
var MdTextField___vue_scopeId__ = null
/* moduleIdentifier (server only) */
var MdTextField___vue_module_identifier__ = null
var MdTextField_Component = MdTextField_normalizeComponent(
  MdTextField,
  MdTextField_MdTextField,
  MdTextField___vue_template_functional__,
  MdTextField___vue_styles__,
  MdTextField___vue_scopeId__,
  MdTextField___vue_module_identifier__
)

/* harmony default export */ var components_MdTextField_MdTextField = (MdTextField_Component.exports);

// CONCATENATED MODULE: ./src/components/MdTextField/index.js




var MdTextField_Plugin = {
  install: function install(Vue) {
    registerComponent(Vue, components_MdTextField_MdTextField);
  }
};

use(MdTextField_Plugin);

/* harmony default export */ var components_MdTextField = (MdTextField_Plugin);


// CONCATENATED MODULE: ./src/components/index.js






















// CONCATENATED MODULE: ./src/index.js






var VueMaterial = {
  install: function install(Vue) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    // Options
    config_setOptions(assign_default()(utils_config, options));
    // Components
    for (var componentKey in components_namespaceObject) {
      Vue.use(components_namespaceObject[componentKey]);
    }
    // Config component
    var CodePieProgrammatic = {
      setOptions: function setOptions(options) {
        config_setOptions(assign_default()(utils_config, options));
      }
    };
    registerComponentProgrammatic(Vue, '$codepie', CodePieProgrammatic);
  }
};

use(VueMaterial);

/* harmony default export */ var src = __webpack_exports__["default"] = (VueMaterial);

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(15);
module.exports = __webpack_require__(2).Object.assign;


/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

// 19.1.3.1 Object.assign(target, source)
var $export = __webpack_require__(16);

$export($export.S + $export.F, 'Object', { assign: __webpack_require__(26) });


/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

var global = __webpack_require__(1);
var core = __webpack_require__(2);
var ctx = __webpack_require__(17);
var hide = __webpack_require__(19);
var has = __webpack_require__(7);
var PROTOTYPE = 'prototype';

var $export = function (type, name, source) {
  var IS_FORCED = type & $export.F;
  var IS_GLOBAL = type & $export.G;
  var IS_STATIC = type & $export.S;
  var IS_PROTO = type & $export.P;
  var IS_BIND = type & $export.B;
  var IS_WRAP = type & $export.W;
  var exports = IS_GLOBAL ? core : core[name] || (core[name] = {});
  var expProto = exports[PROTOTYPE];
  var target = IS_GLOBAL ? global : IS_STATIC ? global[name] : (global[name] || {})[PROTOTYPE];
  var key, own, out;
  if (IS_GLOBAL) source = name;
  for (key in source) {
    // contains in native
    own = !IS_FORCED && target && target[key] !== undefined;
    if (own && has(exports, key)) continue;
    // export native or passed
    out = own ? target[key] : source[key];
    // prevent global pollution for namespaces
    exports[key] = IS_GLOBAL && typeof target[key] != 'function' ? source[key]
    // bind timers to global for call from export context
    : IS_BIND && own ? ctx(out, global)
    // wrap global constructors for prevent change them in library
    : IS_WRAP && target[key] == out ? (function (C) {
      var F = function (a, b, c) {
        if (this instanceof C) {
          switch (arguments.length) {
            case 0: return new C();
            case 1: return new C(a);
            case 2: return new C(a, b);
          } return new C(a, b, c);
        } return C.apply(this, arguments);
      };
      F[PROTOTYPE] = C[PROTOTYPE];
      return F;
    // make static versions for prototype methods
    })(out) : IS_PROTO && typeof out == 'function' ? ctx(Function.call, out) : out;
    // export proto methods to core.%CONSTRUCTOR%.methods.%NAME%
    if (IS_PROTO) {
      (exports.virtual || (exports.virtual = {}))[key] = out;
      // export proto methods to core.%CONSTRUCTOR%.prototype.%NAME%
      if (type & $export.R && expProto && !expProto[key]) hide(expProto, key, out);
    }
  }
};
// type bitmap
$export.F = 1;   // forced
$export.G = 2;   // global
$export.S = 4;   // static
$export.P = 8;   // proto
$export.B = 16;  // bind
$export.W = 32;  // wrap
$export.U = 64;  // safe
$export.R = 128; // real proto method for `library`
module.exports = $export;


/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

// optional / simple context binding
var aFunction = __webpack_require__(18);
module.exports = function (fn, that, length) {
  aFunction(fn);
  if (that === undefined) return fn;
  switch (length) {
    case 1: return function (a) {
      return fn.call(that, a);
    };
    case 2: return function (a, b) {
      return fn.call(that, a, b);
    };
    case 3: return function (a, b, c) {
      return fn.call(that, a, b, c);
    };
  }
  return function (/* ...args */) {
    return fn.apply(that, arguments);
  };
};


/***/ }),
/* 18 */
/***/ (function(module, exports) {

module.exports = function (it) {
  if (typeof it != 'function') throw TypeError(it + ' is not a function!');
  return it;
};


/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

var dP = __webpack_require__(20);
var createDesc = __webpack_require__(25);
module.exports = __webpack_require__(4) ? function (object, key, value) {
  return dP.f(object, key, createDesc(1, value));
} : function (object, key, value) {
  object[key] = value;
  return object;
};


/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

var anObject = __webpack_require__(21);
var IE8_DOM_DEFINE = __webpack_require__(22);
var toPrimitive = __webpack_require__(24);
var dP = Object.defineProperty;

exports.f = __webpack_require__(4) ? Object.defineProperty : function defineProperty(O, P, Attributes) {
  anObject(O);
  P = toPrimitive(P, true);
  anObject(Attributes);
  if (IE8_DOM_DEFINE) try {
    return dP(O, P, Attributes);
  } catch (e) { /* empty */ }
  if ('get' in Attributes || 'set' in Attributes) throw TypeError('Accessors not supported!');
  if ('value' in Attributes) O[P] = Attributes.value;
  return O;
};


/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

var isObject = __webpack_require__(3);
module.exports = function (it) {
  if (!isObject(it)) throw TypeError(it + ' is not an object!');
  return it;
};


/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = !__webpack_require__(4) && !__webpack_require__(5)(function () {
  return Object.defineProperty(__webpack_require__(23)('div'), 'a', { get: function () { return 7; } }).a != 7;
});


/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

var isObject = __webpack_require__(3);
var document = __webpack_require__(1).document;
// typeof document.createElement is 'object' in old IE
var is = isObject(document) && isObject(document.createElement);
module.exports = function (it) {
  return is ? document.createElement(it) : {};
};


/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

// 7.1.1 ToPrimitive(input [, PreferredType])
var isObject = __webpack_require__(3);
// instead of the ES6 spec version, we didn't implement @@toPrimitive case
// and the second argument - flag - preferred type is a string
module.exports = function (it, S) {
  if (!isObject(it)) return it;
  var fn, val;
  if (S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
  if (typeof (fn = it.valueOf) == 'function' && !isObject(val = fn.call(it))) return val;
  if (!S && typeof (fn = it.toString) == 'function' && !isObject(val = fn.call(it))) return val;
  throw TypeError("Can't convert object to primitive value");
};


/***/ }),
/* 25 */
/***/ (function(module, exports) {

module.exports = function (bitmap, value) {
  return {
    enumerable: !(bitmap & 1),
    configurable: !(bitmap & 2),
    writable: !(bitmap & 4),
    value: value
  };
};


/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

// 19.1.2.1 Object.assign(target, source, ...)
var getKeys = __webpack_require__(27);
var gOPS = __webpack_require__(38);
var pIE = __webpack_require__(39);
var toObject = __webpack_require__(40);
var IObject = __webpack_require__(9);
var $assign = Object.assign;

// should work with symbols and should have deterministic property order (V8 bug)
module.exports = !$assign || __webpack_require__(5)(function () {
  var A = {};
  var B = {};
  // eslint-disable-next-line no-undef
  var S = Symbol();
  var K = 'abcdefghijklmnopqrst';
  A[S] = 7;
  K.split('').forEach(function (k) { B[k] = k; });
  return $assign({}, A)[S] != 7 || Object.keys($assign({}, B)).join('') != K;
}) ? function assign(target, source) { // eslint-disable-line no-unused-vars
  var T = toObject(target);
  var aLen = arguments.length;
  var index = 1;
  var getSymbols = gOPS.f;
  var isEnum = pIE.f;
  while (aLen > index) {
    var S = IObject(arguments[index++]);
    var keys = getSymbols ? getKeys(S).concat(getSymbols(S)) : getKeys(S);
    var length = keys.length;
    var j = 0;
    var key;
    while (length > j) if (isEnum.call(S, key = keys[j++])) T[key] = S[key];
  } return T;
} : $assign;


/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

// 19.1.2.14 / 15.2.3.14 Object.keys(O)
var $keys = __webpack_require__(28);
var enumBugKeys = __webpack_require__(37);

module.exports = Object.keys || function keys(O) {
  return $keys(O, enumBugKeys);
};


/***/ }),
/* 28 */
/***/ (function(module, exports, __webpack_require__) {

var has = __webpack_require__(7);
var toIObject = __webpack_require__(8);
var arrayIndexOf = __webpack_require__(30)(false);
var IE_PROTO = __webpack_require__(33)('IE_PROTO');

module.exports = function (object, names) {
  var O = toIObject(object);
  var i = 0;
  var result = [];
  var key;
  for (key in O) if (key != IE_PROTO) has(O, key) && result.push(key);
  // Don't enum bug & hidden keys
  while (names.length > i) if (has(O, key = names[i++])) {
    ~arrayIndexOf(result, key) || result.push(key);
  }
  return result;
};


/***/ }),
/* 29 */
/***/ (function(module, exports) {

var toString = {}.toString;

module.exports = function (it) {
  return toString.call(it).slice(8, -1);
};


/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

// false -> Array#indexOf
// true  -> Array#includes
var toIObject = __webpack_require__(8);
var toLength = __webpack_require__(31);
var toAbsoluteIndex = __webpack_require__(32);
module.exports = function (IS_INCLUDES) {
  return function ($this, el, fromIndex) {
    var O = toIObject($this);
    var length = toLength(O.length);
    var index = toAbsoluteIndex(fromIndex, length);
    var value;
    // Array#includes uses SameValueZero equality algorithm
    // eslint-disable-next-line no-self-compare
    if (IS_INCLUDES && el != el) while (length > index) {
      value = O[index++];
      // eslint-disable-next-line no-self-compare
      if (value != value) return true;
    // Array#indexOf ignores holes, Array#includes - not
    } else for (;length > index; index++) if (IS_INCLUDES || index in O) {
      if (O[index] === el) return IS_INCLUDES || index || 0;
    } return !IS_INCLUDES && -1;
  };
};


/***/ }),
/* 31 */
/***/ (function(module, exports, __webpack_require__) {

// 7.1.15 ToLength
var toInteger = __webpack_require__(11);
var min = Math.min;
module.exports = function (it) {
  return it > 0 ? min(toInteger(it), 0x1fffffffffffff) : 0; // pow(2, 53) - 1 == 9007199254740991
};


/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

var toInteger = __webpack_require__(11);
var max = Math.max;
var min = Math.min;
module.exports = function (index, length) {
  index = toInteger(index);
  return index < 0 ? max(index + length, 0) : min(index, length);
};


/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

var shared = __webpack_require__(34)('keys');
var uid = __webpack_require__(36);
module.exports = function (key) {
  return shared[key] || (shared[key] = uid(key));
};


/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

var core = __webpack_require__(2);
var global = __webpack_require__(1);
var SHARED = '__core-js_shared__';
var store = global[SHARED] || (global[SHARED] = {});

(module.exports = function (key, value) {
  return store[key] || (store[key] = value !== undefined ? value : {});
})('versions', []).push({
  version: core.version,
  mode: __webpack_require__(35) ? 'pure' : 'global',
  copyright: '© 2019 Denis Pushkarev (zloirock.ru)'
});


/***/ }),
/* 35 */
/***/ (function(module, exports) {

module.exports = true;


/***/ }),
/* 36 */
/***/ (function(module, exports) {

var id = 0;
var px = Math.random();
module.exports = function (key) {
  return 'Symbol('.concat(key === undefined ? '' : key, ')_', (++id + px).toString(36));
};


/***/ }),
/* 37 */
/***/ (function(module, exports) {

// IE 8- don't enum bug keys
module.exports = (
  'constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf'
).split(',');


/***/ }),
/* 38 */
/***/ (function(module, exports) {

exports.f = Object.getOwnPropertySymbols;


/***/ }),
/* 39 */
/***/ (function(module, exports) {

exports.f = {}.propertyIsEnumerable;


/***/ }),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

// 7.1.13 ToObject(argument)
var defined = __webpack_require__(10);
module.exports = function (it) {
  return Object(defined(it));
};


/***/ }),
/* 41 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 42 */
/***/ (function(module, exports) {

var candidateSelectors = [
  'input',
  'select',
  'textarea',
  'a[href]',
  'button',
  '[tabindex]',
  'audio[controls]',
  'video[controls]',
  '[contenteditable]:not([contenteditable="false"])',
];
var candidateSelector = candidateSelectors.join(',');

var matches = typeof Element === 'undefined'
  ? function () {}
  : Element.prototype.matches || Element.prototype.msMatchesSelector || Element.prototype.webkitMatchesSelector;

function tabbable(el, options) {
  options = options || {};

  var regularTabbables = [];
  var orderedTabbables = [];

  var candidates = el.querySelectorAll(candidateSelector);

  if (options.includeContainer) {
    if (matches.call(el, candidateSelector)) {
      candidates = Array.prototype.slice.apply(candidates);
      candidates.unshift(el);
    }
  }

  var i, candidate, candidateTabindex;
  for (i = 0; i < candidates.length; i++) {
    candidate = candidates[i];

    if (!isNodeMatchingSelectorTabbable(candidate)) continue;

    candidateTabindex = getTabindex(candidate);
    if (candidateTabindex === 0) {
      regularTabbables.push(candidate);
    } else {
      orderedTabbables.push({
        documentOrder: i,
        tabIndex: candidateTabindex,
        node: candidate,
      });
    }
  }

  var tabbableNodes = orderedTabbables
    .sort(sortOrderedTabbables)
    .map(function(a) { return a.node })
    .concat(regularTabbables);

  return tabbableNodes;
}

tabbable.isTabbable = isTabbable;
tabbable.isFocusable = isFocusable;

function isNodeMatchingSelectorTabbable(node) {
  if (
    !isNodeMatchingSelectorFocusable(node)
    || isNonTabbableRadio(node)
    || getTabindex(node) < 0
  ) {
    return false;
  }
  return true;
}

function isTabbable(node) {
  if (!node) throw new Error('No node provided');
  if (matches.call(node, candidateSelector) === false) return false;
  return isNodeMatchingSelectorTabbable(node);
}

function isNodeMatchingSelectorFocusable(node) {
  if (
    node.disabled
    || isHiddenInput(node)
    || isHidden(node)
  ) {
    return false;
  }
  return true;
}

var focusableCandidateSelector = candidateSelectors.concat('iframe').join(',');
function isFocusable(node) {
  if (!node) throw new Error('No node provided');
  if (matches.call(node, focusableCandidateSelector) === false) return false;
  return isNodeMatchingSelectorFocusable(node);
}

function getTabindex(node) {
  var tabindexAttr = parseInt(node.getAttribute('tabindex'), 10);
  if (!isNaN(tabindexAttr)) return tabindexAttr;
  // Browsers do not return `tabIndex` correctly for contentEditable nodes;
  // so if they don't have a tabindex attribute specifically set, assume it's 0.
  if (isContentEditable(node)) return 0;
  return node.tabIndex;
}

function sortOrderedTabbables(a, b) {
  return a.tabIndex === b.tabIndex ? a.documentOrder - b.documentOrder : a.tabIndex - b.tabIndex;
}

function isContentEditable(node) {
  return node.contentEditable === 'true';
}

function isInput(node) {
  return node.tagName === 'INPUT';
}

function isHiddenInput(node) {
  return isInput(node) && node.type === 'hidden';
}

function isRadio(node) {
  return isInput(node) && node.type === 'radio';
}

function isNonTabbableRadio(node) {
  return isRadio(node) && !isTabbableRadio(node);
}

function getCheckedRadio(nodes) {
  for (var i = 0; i < nodes.length; i++) {
    if (nodes[i].checked) {
      return nodes[i];
    }
  }
}

function isTabbableRadio(node) {
  if (!node.name) return true;
  // This won't account for the edge case where you have radio groups with the same
  // in separate forms on the same page.
  var radioSet = node.ownerDocument.querySelectorAll('input[type="radio"][name="' + node.name + '"]');
  var checked = getCheckedRadio(radioSet);
  return !checked || checked === node;
}

function isHidden(node) {
  // offsetParent being null will allow detecting cases where an element is invisible or inside an invisible element,
  // as long as the element does not use position: fixed. For them, their visibility has to be checked directly as well.
  return node.offsetParent === null || getComputedStyle(node).visibility === 'hidden';
}

module.exports = tabbable;


/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = extend

var hasOwnProperty = Object.prototype.hasOwnProperty;

function extend() {
    var target = {}

    for (var i = 0; i < arguments.length; i++) {
        var source = arguments[i]

        for (var key in source) {
            if (hasOwnProperty.call(source, key)) {
                target[key] = source[key]
            }
        }
    }

    return target
}


/***/ }),
/* 44 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


exports.__esModule = true;

var _assign = __webpack_require__(6);

var _assign2 = _interopRequireDefault(_assign);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _assign2.default || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

/***/ })
/******/ ]);
});